import { X as l, af as M, dh as Q, F as e, eQ as X, hz as Y, hA as q, a6 as x, hB as f, G as C, di as h, dj as p, dk as t, hC as z, dt as O, av as D, ds as v } from "./fa268dc5.js";
import { useContext as J, useRef as K, useEffect as Z } from "react";
import "react-dom";
const {
  Header: _,
  Content: A,
  Footer: S,
  Sider: P
} = f, G = l.div`
  width: 100%;
  top: 0;
  max-width: inherit;
  overflow: auto;
  height: 100%;
`, y = (o) => D`
    border-color: ${o.border};
    border-width: ${o.borderWidth};
    border-style: ${o.borderStyle};
    border-radius: ${o.radius};
    overflow: hidden;
    padding: ${o.padding};
    ${o.background && `background-color: ${o.background};`}
    ${o.backgroundImage && `background-image: url(${o.backgroundImage});`}
    ${o.backgroundImageRepeat && `background-repeat: ${o.backgroundImageRepeat};`}
    ${o.backgroundImageSize && `background-size: ${o.backgroundImageSize};`}
    ${o.backgroundImagePosition && `background-position: ${o.backgroundImagePosition};`}
    ${o.backgroundImageOrigin && `background-origin: ${o.backgroundImageOrigin};`}
  `, rr = l.div`
  display: flex;
  flex-flow: column;
  height: 100%;
  border: 1px solid #d7d9e0;
  border-radius: 4px;
  ${(o) => o.$style && y(o.$style)}
  ${(o) => o.$animationStyle}

  #pageLayout::-webkit-scrollbar {
    display: ${(o) => o.$mainScrollbars ? "block" : "none"};
  }
`, or = l(v)`
  overflow: visible;
  ${(o) => o.$backgroundColor && `background-color: ${o.$backgroundColor};`}
  border-radius: 0;
`, w = l(v)`
  overflow: auto;
  ${(o) => o.$backgroundColor && `background-color: ${o.$backgroundColor};`}
  border-radius: 0;
  ${(o) => o.$siderBackgroundImage && `background-image: url(${o.$siderBackgroundImage});`}
  ${(o) => o.$siderBackgroundImageRepeat && `background-repeat: ${o.$siderBackgroundImageRepeat};`}
  ${(o) => o.$siderBackgroundImageSize && `background-size: ${o.$siderBackgroundImageSize};`}
  ${(o) => o.$siderBackgroundImagePosition && `background-position: ${o.$siderBackgroundImagePosition};`}
  ${(o) => o.$siderBackgroundImageOrigin && `background-origin: ${o.$siderBackgroundImageOrigin};`}
`, F = l(v)`
  border-top: ${(o) => `${o.$showBorder ? o.$borderWidth : 0} solid ${o.$borderColor}`};
  flex: 1;
  ${(o) => o.$backgroundColor && `background-color: ${o.$backgroundColor};`}
  border-radius: 0;
`, ar = l(v)`
  border-top: ${(o) => `${o.$showBorder ? o.$borderWidth : 0} solid ${o.$borderColor}`};
  overflow: visible;
  ${(o) => o.$backgroundColor && `background-color: ${o.$backgroundColor};`}
  border-radius: 0;
  ${(o) => o.$footerBackgroundImage && `background-image: url(${o.$footerBackgroundImage});`}
  ${(o) => o.$footerBackgroundImageRepeat && `background-repeat: ${o.$footerBackgroundImageRepeat};`}
  ${(o) => o.$footerBackgroundImageSize && `background-size: ${o.$footerBackgroundImageSize};`}
  ${(o) => o.$footerBackgroundImagePosition && `background-position: ${o.$footerBackgroundImagePosition};`}
  ${(o) => o.$footerBackgroundImageOrigin && `background-origin: ${o.$footerBackgroundImageOrigin};`}
`;
function gr(o) {
  const {
    container: a,
    siderCollapsed: $,
    setSiderCollapsed: b,
    animationStyle: L
  } = o, {
    showHeader: u,
    showFooter: k,
    showSider: s
  } = a, {
    items: N,
    ...U
  } = a.header, {
    items: H,
    ...R
  } = a.body[0].children.view.getView(), {
    items: j,
    ...T
  } = a.footer, {
    items: B,
    ...I
  } = a.sider, {
    style: d,
    headerStyle: m,
    siderStyle: r,
    bodyStyle: i,
    footerStyle: n,
    horizontalGridCells: c
  } = a, V = J(M).getAppSettings().maxWidth;
  Q(V);
  const W = K();
  function E(g) {
    o.setSiderCollapsed(g);
  }
  return Z(() => {
    b(a.siderCollapsed);
  }, [a.siderCollapsed]), /* @__PURE__ */ e("div", {
    style: {
      padding: d.margin,
      height: "100%"
    },
    children: /* @__PURE__ */ e(X, {
      theme: {
        components: {
          Layout: {
            triggerBg: Y(a.siderStyle.siderBackground),
            triggerColor: q(a.siderStyle.siderBackground, "black", "white"),
            siderBg: a.siderStyle.siderBackground
          }
        }
      },
      children: /* @__PURE__ */ x(rr, {
        $style: d,
        $animationStyle: L,
        $mainScrollbars: a.mainScrollbars,
        children: [/* @__PURE__ */ x(f, {
          id: "pageLayout",
          style: {
            padding: "0px",
            overflowY: "scroll"
          },
          hasSider: s && !a.innerSider,
          children: [s && !a.innerSider && !a.siderRight && /* @__PURE__ */ e(C, {
            children: /* @__PURE__ */ e(h.Provider, {
              value: r == null ? void 0 : r.siderBackground,
              children: /* @__PURE__ */ e(P, {
                width: a.siderWidth,
                style: {
                  padding: "0px",
                  margin: "0px",
                  backgroundColor: (r == null ? void 0 : r.siderBackground) || "transparent"
                },
                collapsible: a.siderCollapsible,
                breakpoint: "sm",
                collapsedWidth: a.siderCollapsedWidth,
                collapsed: $,
                onCollapse: (g) => E(g),
                children: /* @__PURE__ */ e(p, {
                  style: {
                    height: a.autoHeight ? "auto" : "100%",
                    margin: "0px",
                    padding: "0px"
                  },
                  hideScrollbar: !a.siderScrollbars,
                  children: /* @__PURE__ */ e(w, {
                    ...I,
                    items: t(B),
                    horizontalGridCells: c,
                    autoHeight: !0,
                    emptyRows: 30,
                    minHeight: `calc(100vh - ${d.padding}px)`,
                    containerPadding: [0, 0],
                    showName: {
                      bottom: k ? 20 : 0
                    },
                    $backgroundColor: (r == null ? void 0 : r.siderBackground) || "transparent",
                    $siderBackgroundImage: r == null ? void 0 : r.siderBackgroundImage,
                    $siderBackgroundImageRepeat: r == null ? void 0 : r.siderBackgroundImageRepeat,
                    $siderBackgroundImageSize: r == null ? void 0 : r.siderBackgroundImageSize,
                    $siderBackgroundImagePosition: r == null ? void 0 : r.siderBackgroundImagePosition,
                    $siderBackgroundImageOrigin: r == null ? void 0 : r.siderBackgroundImageOrigin,
                    style: {
                      padding: r.containerSiderPadding
                    }
                  })
                })
              })
            })
          }), /* @__PURE__ */ x(f, {
            style: {
              padding: "0px"
            },
            children: [u && /* @__PURE__ */ e(C, {
              children: /* @__PURE__ */ e(h.Provider, {
                value: d.background,
                children: /* @__PURE__ */ e(_, {
                  style: {
                    backgroundColor: (m == null ? void 0 : m.headerBackground) || "transparent",
                    padding: "0px",
                    margin: "0px"
                  },
                  children: /* @__PURE__ */ e(or, {
                    ...U,
                    items: t(N),
                    horizontalGridCells: c,
                    autoHeight: !0,
                    emptyRows: 5,
                    minHeight: "46px",
                    containerPadding: [0, 0],
                    showName: {
                      bottom: k ? 20 : 0
                    },
                    $backgroundColor: (m == null ? void 0 : m.headerBackground) || "transparent",
                    style: {
                      padding: m.containerHeaderPadding
                    }
                  })
                })
              })
            }), s && a.innerSider ? /* @__PURE__ */ e(C, {
              children: /* @__PURE__ */ x(f, {
                style: {
                  padding: "0px"
                },
                hasSider: s && a.innerSider,
                children: [s && !a.siderRight && /* @__PURE__ */ e(h.Provider, {
                  value: r == null ? void 0 : r.siderBackground,
                  children: /* @__PURE__ */ e(P, {
                    width: a.siderWidth,
                    style: {
                      padding: "0px",
                      margin: "0px",
                      marginTop: d.borderWidth,
                      backgroundColor: (r == null ? void 0 : r.siderBackground) || "transparent"
                    },
                    collapsible: a.siderCollapsible,
                    breakpoint: "sm",
                    collapsedWidth: a.siderCollapsedWidth,
                    collapsed: $,
                    onCollapse: (g) => b(g),
                    children: /* @__PURE__ */ e(p, {
                      style: {
                        height: a.autoHeight ? "auto" : "100%",
                        margin: "0px",
                        padding: "0px"
                      },
                      hideScrollbar: !a.siderScrollbars,
                      children: /* @__PURE__ */ e(w, {
                        ...I,
                        items: t(B),
                        horizontalGridCells: c,
                        autoHeight: !0,
                        emptyRows: 30,
                        minHeight: `calc(100vh - ${d.padding}px)`,
                        containerPadding: [0, 0],
                        showName: {
                          bottom: k ? 20 : 0
                        },
                        $backgroundColor: (r == null ? void 0 : r.siderBackground) || "transparent",
                        $siderBackgroundImage: r == null ? void 0 : r.siderBackgroundImage,
                        $siderBackgroundImageRepeat: r == null ? void 0 : r.siderBackgroundImageRepeat,
                        $siderBackgroundImageSize: r == null ? void 0 : r.siderBackgroundImageSize,
                        $siderBackgroundImagePosition: r == null ? void 0 : r.siderBackgroundImagePosition,
                        $siderBackgroundImageOrigin: r == null ? void 0 : r.siderBackgroundImageOrigin,
                        style: {
                          padding: r.containerSiderPadding
                        }
                      })
                    })
                  })
                }), /* @__PURE__ */ e(A, {
                  style: {
                    padding: "0px",
                    margin: "0px",
                    backgroundColor: (i == null ? void 0 : i.background) || "transparent"
                  },
                  children: /* @__PURE__ */ e(p, {
                    style: {
                      height: a.autoHeight ? "auto" : "100%",
                      margin: "0px",
                      padding: "0px"
                    },
                    hideScrollbar: !a.contentScrollbars,
                    children: a.showApp && a.contentApp != "" ? /* @__PURE__ */ e(h.Provider, {
                      value: i == null ? void 0 : i.background,
                      children: /* @__PURE__ */ e(G, {
                        children: /* @__PURE__ */ e(z, {
                          ref: W,
                          appId: a.contentApp,
                          baseUrl: a.baseUrl
                        })
                      })
                    }) : /* @__PURE__ */ e(F, {
                      $showBorder: u,
                      ...R,
                      items: t(H),
                      horizontalGridCells: c,
                      autoHeight: a.autoHeight,
                      emptyRows: 14,
                      minHeight: u ? "143px" : "142px",
                      containerPadding: [0, 0],
                      hintPlaceholder: o.hintPlaceholder ?? O,
                      $backgroundColor: (i == null ? void 0 : i.background) || "transparent",
                      $borderColor: d == null ? void 0 : d.border,
                      $borderWidth: d == null ? void 0 : d.borderWidth,
                      style: {
                        padding: i.containerBodyPadding
                      }
                    })
                  })
                }), s && a.siderRight && /* @__PURE__ */ e(h.Provider, {
                  value: r == null ? void 0 : r.siderBackground,
                  children: /* @__PURE__ */ e(P, {
                    width: a.siderWidth,
                    style: {
                      padding: "0px",
                      margin: "0px",
                      backgroundColor: (r == null ? void 0 : r.siderBackground) || "transparent"
                    },
                    collapsible: a.siderCollapsible,
                    breakpoint: "sm",
                    collapsedWidth: a.siderCollapsedWidth,
                    reverseArrow: !0,
                    collapsed: $,
                    onCollapse: (g) => b(g),
                    children: /* @__PURE__ */ e(p, {
                      style: {
                        height: a.autoHeight ? "auto" : "100%",
                        margin: "0px",
                        padding: "0px"
                      },
                      hideScrollbar: !a.siderScrollbars,
                      children: /* @__PURE__ */ e(w, {
                        ...I,
                        items: t(B),
                        horizontalGridCells: c,
                        autoHeight: !0,
                        emptyRows: 30,
                        minHeight: `calc(100vh - ${d.padding}px)`,
                        containerPadding: [0, 0],
                        showName: {
                          bottom: k ? 20 : 0
                        },
                        $backgroundColor: (r == null ? void 0 : r.siderBackground) || "transparent",
                        $siderBackgroundImage: r == null ? void 0 : r.siderBackgroundImage,
                        $siderBackgroundImageRepeat: r == null ? void 0 : r.siderBackgroundImageRepeat,
                        $siderBackgroundImageSize: r == null ? void 0 : r.siderBackgroundImageSize,
                        $siderBackgroundImagePosition: r == null ? void 0 : r.siderBackgroundImagePosition,
                        $siderBackgroundImageOrigin: r == null ? void 0 : r.siderBackgroundImageOrigin,
                        style: {
                          padding: r.containerSiderPadding
                        }
                      })
                    })
                  })
                })]
              })
            }) : /* @__PURE__ */ e(A, {
              style: {
                padding: "0px",
                margin: "0px"
              },
              children: /* @__PURE__ */ e(p, {
                style: {
                  height: a.autoHeight ? "auto" : "100%",
                  margin: "0px",
                  padding: "0px"
                },
                hideScrollbar: !a.contentScrollbars,
                children: a.showApp && a.contentApp != "" ? /* @__PURE__ */ e(h.Provider, {
                  value: i == null ? void 0 : i.background,
                  children: /* @__PURE__ */ e(G, {
                    children: /* @__PURE__ */ e(z, {
                      ref: W,
                      appId: a.contentApp,
                      baseUrl: a.baseUrl
                    })
                  })
                }) : /* @__PURE__ */ e(F, {
                  $showBorder: u,
                  ...R,
                  items: t(H),
                  horizontalGridCells: c,
                  autoHeight: a.autoHeight,
                  emptyRows: 14,
                  minHeight: u ? "143px" : "142px",
                  containerPadding: [0, 0],
                  hintPlaceholder: o.hintPlaceholder ?? O,
                  $backgroundColor: (i == null ? void 0 : i.background) || "transparent",
                  $borderColor: d == null ? void 0 : d.border,
                  $borderWidth: d == null ? void 0 : d.borderWidth,
                  style: {
                    padding: i.containerBodyPadding
                  }
                })
              })
            }), k && /* @__PURE__ */ e(S, {
              style: {
                textAlign: "center",
                padding: "0px",
                margin: "0px",
                backgroundColor: (n == null ? void 0 : n.footerBackground) || "transparent"
              },
              children: /* @__PURE__ */ e(ar, {
                $showBorder: u,
                ...T,
                items: t(j),
                horizontalGridCells: c,
                autoHeight: !0,
                emptyRows: 5,
                minHeight: "48px",
                containerPadding: [0, 0],
                showName: {
                  top: u ? 20 : 0
                },
                $backgroundColor: (n == null ? void 0 : n.footerBackground) || "transparent",
                $footerBackgroundImage: n == null ? void 0 : n.footerBackgroundImage,
                $footerBackgroundImageRepeat: n == null ? void 0 : n.footerBackgroundImageRepeat,
                $footerBackgroundImageSize: n == null ? void 0 : n.footerBackgroundImageSize,
                $footerBackgroundImagePosition: n == null ? void 0 : n.footerBackgroundImagePosition,
                $footerBackgroundImageOrigin: n == null ? void 0 : n.footerBackgroundImageOrigin,
                $borderColor: d == null ? void 0 : d.border,
                $borderWidth: d == null ? void 0 : d.borderWidth,
                style: {
                  padding: n.containerFooterPadding
                }
              })
            })]
          }), s && !a.innerSider && a.siderRight && /* @__PURE__ */ e(C, {
            children: /* @__PURE__ */ e(h.Provider, {
              value: r == null ? void 0 : r.siderBackground,
              children: /* @__PURE__ */ e(P, {
                width: a.siderWidth,
                style: {
                  padding: "0px",
                  margin: "0px",
                  backgroundColor: (r == null ? void 0 : r.siderBackground) || "transparent"
                },
                collapsible: a.siderCollapsible,
                breakpoint: "sm",
                collapsedWidth: a.siderCollapsedWidth,
                reverseArrow: !0,
                collapsed: $,
                onCollapse: (g) => b(g),
                children: /* @__PURE__ */ e(p, {
                  style: {
                    height: a.autoHeight ? "auto" : "100%",
                    margin: "0px",
                    padding: "0px"
                  },
                  hideScrollbar: !a.siderScrollbars,
                  children: /* @__PURE__ */ e(w, {
                    ...I,
                    items: t(B),
                    horizontalGridCells: c,
                    autoHeight: !0,
                    emptyRows: 30,
                    minHeight: `calc(100vh - ${d.padding}px)`,
                    containerPadding: [0, 0],
                    showName: {
                      bottom: k ? 20 : 0
                    },
                    $backgroundColor: (r == null ? void 0 : r.siderBackground) || "transparent",
                    $siderBackgroundImage: r == null ? void 0 : r.siderBackgroundImage,
                    $siderBackgroundImageRepeat: r == null ? void 0 : r.siderBackgroundImageRepeat,
                    $siderBackgroundImageSize: r == null ? void 0 : r.siderBackgroundImageSize,
                    $siderBackgroundImagePosition: r == null ? void 0 : r.siderBackgroundImagePosition,
                    $siderBackgroundImageOrigin: r == null ? void 0 : r.siderBackgroundImageOrigin,
                    style: {
                      padding: r.containerSiderPadding
                    }
                  })
                })
              })
            })
          })]
        }), /* @__PURE__ */ e("style", {
          children: `
              .ant-layout-sider-trigger {
                bottom: 4px !important;
                ${a.siderRight ? `
                  right: 8px !important;
                ` : `
                  left: 8px !important;}
                `}
                
              }
            `
        })]
      })
    })
  });
}
export {
  gr as PageLayout
};
