import { useContext as C, useState as S, useEffect as T } from "react";
import { Y as o, eD as D, a3 as E, O as p, aA as I, w, S as j, a2 as H, Z as P, eE as O, v as f, U as B, F as n, a6 as c, G as h, a7 as d, a8 as m, af as y, a9 as F, aa as A, ac as g, ab as M, bV as U, at as u, dj as G, aw as N, ax as R, eF as X, ak as Y } from "./fa268dc5.js";
import { timelineDate as Z, TimelineDataTooltip as $ } from "./bbb8378b.js";
import { convertTimeLineData as q } from "./483016eb.js";
import "react-dom";
const z = [Y], J = [{
  label: o("timeLine.left"),
  value: "left"
}, {
  label: o("timeLine.right"),
  value: "right"
}, {
  label: o("timeLine.alternate"),
  value: "alternate"
}], K = {
  value: D(q, Z),
  mode: E(J, "alternate"),
  reverse: p,
  autoHeight: I,
  verticalScrollbar: w(p, !1),
  pending: w(j, o("timeLine.defaultPending")),
  onEvent: H(z),
  style: P(O, "style"),
  clickedObject: f({
    title: ""
  }),
  clickedIndex: f(0)
}, Q = async (e) => {
  if (!e)
    return null;
  try {
    const r = (await import("./fa268dc5.js").then((i) => i.DE))[e];
    return r ? /* @__PURE__ */ n(r, {}) : null;
  } catch (l) {
    return console.error(`Error loading icon ${e}:`, l), null;
  }
}, W = (e) => {
  const {
    value: l,
    dispatch: r,
    style: i,
    mode: _,
    reverse: v,
    onEvent: x
  } = e, [L, k] = S([]);
  T(() => {
    (async () => {
      const a = await Promise.all(l.map((s) => s.dot ? Q(s.dot) : Promise.resolve(null)));
      k(a);
    })();
  }, [l]);
  const V = l.map((t, a) => ({
    key: a,
    color: t == null ? void 0 : t.color,
    dot: L[a] || "",
    label: /* @__PURE__ */ n("span", {
      style: {
        color: (t == null ? void 0 : t.labelColor) || (i == null ? void 0 : i.labelColor)
      },
      children: t == null ? void 0 : t.label
    }),
    children: /* @__PURE__ */ c(h, {
      children: [/* @__PURE__ */ n(U, {
        type: "link",
        onClick: (s) => {
          s.preventDefault(), r(u("clickedObject", t, !1)), r(u("clickedIndex", a, !1)), x("click");
        },
        style: {
          cursor: "pointer",
          color: (t == null ? void 0 : t.titleColor) || (i == null ? void 0 : i.titleColor)
        },
        children: /* @__PURE__ */ n("b", {
          children: t == null ? void 0 : t.title
        })
      }), /* @__PURE__ */ n("p", {
        style: {
          color: (t == null ? void 0 : t.subTitleColor) || (i == null ? void 0 : i.subTitleColor)
        },
        children: t == null ? void 0 : t.subTitle
      })]
    })
  }));
  return /* @__PURE__ */ n(G, {
    hideScrollbar: !e.verticalScrollbar,
    children: /* @__PURE__ */ n("div", {
      style: {
        margin: i.margin ?? "3px",
        padding: i.padding !== "3px" ? i.padding : "20px 10px 0px 10px",
        width: N(i.margin ?? "3px"),
        height: R(i.margin ?? "3px"),
        background: i.background,
        overflow: "auto",
        overflowX: "hidden",
        borderRadius: i.radius
      },
      children: /* @__PURE__ */ n(X, {
        mode: (e == null ? void 0 : e.mode) || "left",
        reverse: e == null ? void 0 : e.reverse,
        pending: (e == null ? void 0 : e.pending) && /* @__PURE__ */ n("span", {
          style: {
            color: i == null ? void 0 : i.titleColor
          },
          children: (e == null ? void 0 : e.pending) || ""
        }),
        items: V
      })
    })
  });
};
let b = function() {
  return new B(K, (e, l) => /* @__PURE__ */ n(W, {
    ...e,
    dispatch: l
  })).setPropertyViewFn((e) => /* @__PURE__ */ c(h, {
    children: [/* @__PURE__ */ n(d, {
      name: m.basic,
      children: e.value.propertyView({
        label: o("timeLine.value"),
        tooltip: $,
        placeholder: "[]"
      })
    }), ["logic", "both"].includes(C(y).editorModeStatus) && /* @__PURE__ */ c(d, {
      name: m.interaction,
      children: [e.onEvent.getPropertyView(), F(e)]
    }), ["layout", "both"].includes(C(y).editorModeStatus) && /* @__PURE__ */ c(h, {
      children: [/* @__PURE__ */ c(d, {
        name: m.layout,
        children: [e.autoHeight.getPropertyView(), !e.autoHeight.getView() && e.verticalScrollbar.propertyView({
          label: o("prop.showVerticalScrollbar")
        }), e.mode.propertyView({
          label: o("timeLine.mode"),
          tooltip: o("timeLine.modeTooltip")
        }), e.pending.propertyView({
          label: o("timeLine.pending"),
          tooltip: o("timeLine.pendingDescription")
        }), e.reverse.propertyView({
          label: o("timeLine.reverse")
        })]
      }), /* @__PURE__ */ n(d, {
        name: m.style,
        children: e.style.getPropertyView()
      })]
    })]
  })).build();
}();
b = class extends b {
  autoHeight() {
    return this.children.autoHeight.getView();
  }
};
const le = A(b, [new g("value", o("timeLine.valueDesc")), new g("clickedObject", o("timeLine.clickedObjectDesc")), new g("clickedIndex", o("timeLine.clickedIndexDesc")), M]);
export {
  le as TimeLineComp
};
