import Be from "react";
import { i4 as Je, oh as Xt, oi as Yt, oj as Ze, ok as Dn, ol as Ln, om as Bn, on as Nn, oo as _n, op as Rn, F as ct, G as jn, lw as z, oq as Mn } from "./fa268dc5.js";
import "react-dom";
const ft = {
  classId: "classID",
  dataType: "datatype",
  itemId: "itemID",
  strokeDashArray: "strokeDasharray",
  strokeDashOffset: "strokeDashoffset",
  strokeLineCap: "strokeLinecap",
  strokeLineJoin: "strokeLinejoin",
  strokeMiterLimit: "strokeMiterlimit",
  typeOf: "typeof",
  xLinkActuate: "xlinkActuate",
  xLinkArcRole: "xlinkArcrole",
  xLinkHref: "xlinkHref",
  xLinkRole: "xlinkRole",
  xLinkShow: "xlinkShow",
  xLinkTitle: "xlinkTitle",
  xLinkType: "xlinkType",
  xmlnsXLink: "xmlnsXlink"
}, pt = document.createElement("i");
function Ke(e) {
  const t = "&" + e + ";";
  pt.innerHTML = t;
  const n = pt.textContent;
  return n.charCodeAt(n.length - 1) === 59 && e !== "semi" || n === t ? !1 : n;
}
const ht = ["http", "https", "mailto", "tel"];
function Hn(e) {
  const t = (e || "").trim(), n = t.charAt(0);
  if (n === "#" || n === "/")
    return t;
  const r = t.indexOf(":");
  if (r === -1)
    return t;
  let i = -1;
  for (; ++i < ht.length; ) {
    const u = ht[i];
    if (r === u.length && t.slice(0, u.length).toLowerCase() === u)
      return t;
  }
  return i = t.indexOf("?"), i !== -1 && r > i || (i = t.indexOf("#"), i !== -1 && r > i) ? t : "javascript:void(0)";
}
/*!
 * Determine if an object is a Buffer
 *
 * @author   Feross Aboukhadijeh <https://feross.org>
 * @license  MIT
 */
var qn = function(t) {
  return t != null && t.constructor != null && typeof t.constructor.isBuffer == "function" && t.constructor.isBuffer(t);
};
const Jt = /* @__PURE__ */ Je(qn);
function Se(e) {
  return !e || typeof e != "object" ? "" : "position" in e || "type" in e ? mt(e.position) : "start" in e || "end" in e ? mt(e) : "line" in e || "column" in e ? $e(e) : "";
}
function $e(e) {
  return gt(e && e.line) + ":" + gt(e && e.column);
}
function mt(e) {
  return $e(e && e.start) + "-" + $e(e && e.end);
}
function gt(e) {
  return e && typeof e == "number" ? e : 1;
}
class J extends Error {
  /**
   * Create a message for `reason` at `place` from `origin`.
   *
   * When an error is passed in as `reason`, the `stack` is copied.
   *
   * @param {string | Error | VFileMessage} reason
   *   Reason for message, uses the stack and message of the error if given.
   *
   *   > 👉 **Note**: you should use markdown.
   * @param {Node | NodeLike | Position | Point | null | undefined} [place]
   *   Place in file where the message occurred.
   * @param {string | null | undefined} [origin]
   *   Place in code where the message originates (example:
   *   `'my-package:my-rule'` or `'my-rule'`).
   * @returns
   *   Instance of `VFileMessage`.
   */
  // To do: next major: expose `undefined` everywhere instead of `null`.
  constructor(t, n, r) {
    const i = [null, null];
    let u = {
      // @ts-expect-error: we always follows the structure of `position`.
      start: { line: null, column: null },
      // @ts-expect-error: "
      end: { line: null, column: null }
    };
    if (super(), typeof n == "string" && (r = n, n = void 0), typeof r == "string") {
      const l = r.indexOf(":");
      l === -1 ? i[1] = r : (i[0] = r.slice(0, l), i[1] = r.slice(l + 1));
    }
    n && ("type" in n || "position" in n ? n.position && (u = n.position) : "start" in n || "end" in n ? u = n : ("line" in n || "column" in n) && (u.start = n)), this.name = Se(n) || "1:1", this.message = typeof t == "object" ? t.message : t, this.stack = "", typeof t == "object" && t.stack && (this.stack = t.stack), this.reason = this.message, this.fatal, this.line = u.start.line, this.column = u.start.column, this.position = u, this.source = i[0], this.ruleId = i[1], this.file, this.actual, this.expected, this.url, this.note;
  }
}
J.prototype.file = "";
J.prototype.name = "";
J.prototype.reason = "";
J.prototype.message = "";
J.prototype.stack = "";
J.prototype.fatal = null;
J.prototype.column = null;
J.prototype.line = null;
J.prototype.source = null;
J.prototype.ruleId = null;
J.prototype.position = null;
const ne = { basename: Vn, dirname: Un, extname: $n, join: vn, sep: "/" };
function Vn(e, t) {
  if (t !== void 0 && typeof t != "string")
    throw new TypeError('"ext" argument must be a string');
  Ae(e);
  let n = 0, r = -1, i = e.length, u;
  if (t === void 0 || t.length === 0 || t.length > e.length) {
    for (; i--; )
      if (e.charCodeAt(i) === 47) {
        if (u) {
          n = i + 1;
          break;
        }
      } else
        r < 0 && (u = !0, r = i + 1);
    return r < 0 ? "" : e.slice(n, r);
  }
  if (t === e)
    return "";
  let l = -1, a = t.length - 1;
  for (; i--; )
    if (e.charCodeAt(i) === 47) {
      if (u) {
        n = i + 1;
        break;
      }
    } else
      l < 0 && (u = !0, l = i + 1), a > -1 && (e.charCodeAt(i) === t.charCodeAt(a--) ? a < 0 && (r = i) : (a = -1, r = l));
  return n === r ? r = l : r < 0 && (r = e.length), e.slice(n, r);
}
function Un(e) {
  if (Ae(e), e.length === 0)
    return ".";
  let t = -1, n = e.length, r;
  for (; --n; )
    if (e.charCodeAt(n) === 47) {
      if (r) {
        t = n;
        break;
      }
    } else
      r || (r = !0);
  return t < 0 ? e.charCodeAt(0) === 47 ? "/" : "." : t === 1 && e.charCodeAt(0) === 47 ? "//" : e.slice(0, t);
}
function $n(e) {
  Ae(e);
  let t = e.length, n = -1, r = 0, i = -1, u = 0, l;
  for (; t--; ) {
    const a = e.charCodeAt(t);
    if (a === 47) {
      if (l) {
        r = t + 1;
        break;
      }
      continue;
    }
    n < 0 && (l = !0, n = t + 1), a === 46 ? i < 0 ? i = t : u !== 1 && (u = 1) : i > -1 && (u = -1);
  }
  return i < 0 || n < 0 || // We saw a non-dot character immediately before the dot.
  u === 0 || // The (right-most) trimmed path component is exactly `..`.
  u === 1 && i === n - 1 && i === r + 1 ? "" : e.slice(i, n);
}
function vn(...e) {
  let t = -1, n;
  for (; ++t < e.length; )
    Ae(e[t]), e[t] && (n = n === void 0 ? e[t] : n + "/" + e[t]);
  return n === void 0 ? "." : Qn(n);
}
function Qn(e) {
  Ae(e);
  const t = e.charCodeAt(0) === 47;
  let n = Wn(e, !t);
  return n.length === 0 && !t && (n = "."), n.length > 0 && e.charCodeAt(e.length - 1) === 47 && (n += "/"), t ? "/" + n : n;
}
function Wn(e, t) {
  let n = "", r = 0, i = -1, u = 0, l = -1, a, o;
  for (; ++l <= e.length; ) {
    if (l < e.length)
      a = e.charCodeAt(l);
    else {
      if (a === 47)
        break;
      a = 47;
    }
    if (a === 47) {
      if (!(i === l - 1 || u === 1))
        if (i !== l - 1 && u === 2) {
          if (n.length < 2 || r !== 2 || n.charCodeAt(n.length - 1) !== 46 || n.charCodeAt(n.length - 2) !== 46) {
            if (n.length > 2) {
              if (o = n.lastIndexOf("/"), o !== n.length - 1) {
                o < 0 ? (n = "", r = 0) : (n = n.slice(0, o), r = n.length - 1 - n.lastIndexOf("/")), i = l, u = 0;
                continue;
              }
            } else if (n.length > 0) {
              n = "", r = 0, i = l, u = 0;
              continue;
            }
          }
          t && (n = n.length > 0 ? n + "/.." : "..", r = 2);
        } else
          n.length > 0 ? n += "/" + e.slice(i + 1, l) : n = e.slice(i + 1, l), r = l - i - 1;
      i = l, u = 0;
    } else
      a === 46 && u > -1 ? u++ : u = -1;
  }
  return n;
}
function Ae(e) {
  if (typeof e != "string")
    throw new TypeError(
      "Path must be a string. Received " + JSON.stringify(e)
    );
}
const Gn = { cwd: Xn };
function Xn() {
  return "/";
}
function ve(e) {
  return e !== null && typeof e == "object" && // @ts-expect-error: indexable.
  e.href && // @ts-expect-error: indexable.
  e.origin;
}
function Yn(e) {
  if (typeof e == "string")
    e = new URL(e);
  else if (!ve(e)) {
    const t = new TypeError(
      'The "path" argument must be of type string or an instance of URL. Received `' + e + "`"
    );
    throw t.code = "ERR_INVALID_ARG_TYPE", t;
  }
  if (e.protocol !== "file:") {
    const t = new TypeError("The URL must be of scheme file");
    throw t.code = "ERR_INVALID_URL_SCHEME", t;
  }
  return Jn(e);
}
function Jn(e) {
  if (e.hostname !== "") {
    const r = new TypeError(
      'File URL host must be "localhost" or empty on darwin'
    );
    throw r.code = "ERR_INVALID_FILE_URL_HOST", r;
  }
  const t = e.pathname;
  let n = -1;
  for (; ++n < t.length; )
    if (t.charCodeAt(n) === 37 && t.charCodeAt(n + 1) === 50) {
      const r = t.charCodeAt(n + 2);
      if (r === 70 || r === 102) {
        const i = new TypeError(
          "File URL path must not include encoded / characters"
        );
        throw i.code = "ERR_INVALID_FILE_URL_PATH", i;
      }
    }
  return decodeURIComponent(t);
}
const Ne = ["history", "path", "basename", "stem", "extname", "dirname"];
class Zt {
  /**
   * Create a new virtual file.
   *
   * `options` is treated as:
   *
   * *   `string` or `Buffer` — `{value: options}`
   * *   `URL` — `{path: options}`
   * *   `VFile` — shallow copies its data over to the new file
   * *   `object` — all fields are shallow copied over to the new file
   *
   * Path related fields are set in the following order (least specific to
   * most specific): `history`, `path`, `basename`, `stem`, `extname`,
   * `dirname`.
   *
   * You cannot set `dirname` or `extname` without setting either `history`,
   * `path`, `basename`, or `stem` too.
   *
   * @param {Compatible | null | undefined} [value]
   *   File value.
   * @returns
   *   New instance.
   */
  constructor(t) {
    let n;
    t ? typeof t == "string" || Zn(t) ? n = { value: t } : ve(t) ? n = { path: t } : n = t : n = {}, this.data = {}, this.messages = [], this.history = [], this.cwd = Gn.cwd(), this.value, this.stored, this.result, this.map;
    let r = -1;
    for (; ++r < Ne.length; ) {
      const u = Ne[r];
      u in n && n[u] !== void 0 && n[u] !== null && (this[u] = u === "history" ? [...n[u]] : n[u]);
    }
    let i;
    for (i in n)
      Ne.includes(i) || (this[i] = n[i]);
  }
  /**
   * Get the full path (example: `'~/index.min.js'`).
   *
   * @returns {string}
   */
  get path() {
    return this.history[this.history.length - 1];
  }
  /**
   * Set the full path (example: `'~/index.min.js'`).
   *
   * Cannot be nullified.
   * You can set a file URL (a `URL` object with a `file:` protocol) which will
   * be turned into a path with `url.fileURLToPath`.
   *
   * @param {string | URL} path
   */
  set path(t) {
    ve(t) && (t = Yn(t)), Re(t, "path"), this.path !== t && this.history.push(t);
  }
  /**
   * Get the parent path (example: `'~'`).
   */
  get dirname() {
    return typeof this.path == "string" ? ne.dirname(this.path) : void 0;
  }
  /**
   * Set the parent path (example: `'~'`).
   *
   * Cannot be set if there’s no `path` yet.
   */
  set dirname(t) {
    dt(this.basename, "dirname"), this.path = ne.join(t || "", this.basename);
  }
  /**
   * Get the basename (including extname) (example: `'index.min.js'`).
   */
  get basename() {
    return typeof this.path == "string" ? ne.basename(this.path) : void 0;
  }
  /**
   * Set basename (including extname) (`'index.min.js'`).
   *
   * Cannot contain path separators (`'/'` on unix, macOS, and browsers, `'\'`
   * on windows).
   * Cannot be nullified (use `file.path = file.dirname` instead).
   */
  set basename(t) {
    Re(t, "basename"), _e(t, "basename"), this.path = ne.join(this.dirname || "", t);
  }
  /**
   * Get the extname (including dot) (example: `'.js'`).
   */
  get extname() {
    return typeof this.path == "string" ? ne.extname(this.path) : void 0;
  }
  /**
   * Set the extname (including dot) (example: `'.js'`).
   *
   * Cannot contain path separators (`'/'` on unix, macOS, and browsers, `'\'`
   * on windows).
   * Cannot be set if there’s no `path` yet.
   */
  set extname(t) {
    if (_e(t, "extname"), dt(this.dirname, "extname"), t) {
      if (t.charCodeAt(0) !== 46)
        throw new Error("`extname` must start with `.`");
      if (t.includes(".", 1))
        throw new Error("`extname` cannot contain multiple dots");
    }
    this.path = ne.join(this.dirname, this.stem + (t || ""));
  }
  /**
   * Get the stem (basename w/o extname) (example: `'index.min'`).
   */
  get stem() {
    return typeof this.path == "string" ? ne.basename(this.path, this.extname) : void 0;
  }
  /**
   * Set the stem (basename w/o extname) (example: `'index.min'`).
   *
   * Cannot contain path separators (`'/'` on unix, macOS, and browsers, `'\'`
   * on windows).
   * Cannot be nullified (use `file.path = file.dirname` instead).
   */
  set stem(t) {
    Re(t, "stem"), _e(t, "stem"), this.path = ne.join(this.dirname || "", t + (this.extname || ""));
  }
  /**
   * Serialize the file.
   *
   * @param {BufferEncoding | null | undefined} [encoding='utf8']
   *   Character encoding to understand `value` as when it’s a `Buffer`
   *   (default: `'utf8'`).
   * @returns {string}
   *   Serialized file.
   */
  toString(t) {
    return (this.value || "").toString(t || void 0);
  }
  /**
   * Create a warning message associated with the file.
   *
   * Its `fatal` is set to `false` and `file` is set to the current file path.
   * Its added to `file.messages`.
   *
   * @param {string | Error | VFileMessage} reason
   *   Reason for message, uses the stack and message of the error if given.
   * @param {Node | NodeLike | Position | Point | null | undefined} [place]
   *   Place in file where the message occurred.
   * @param {string | null | undefined} [origin]
   *   Place in code where the message originates (example:
   *   `'my-package:my-rule'` or `'my-rule'`).
   * @returns {VFileMessage}
   *   Message.
   */
  message(t, n, r) {
    const i = new J(t, n, r);
    return this.path && (i.name = this.path + ":" + i.name, i.file = this.path), i.fatal = !1, this.messages.push(i), i;
  }
  /**
   * Create an info message associated with the file.
   *
   * Its `fatal` is set to `null` and `file` is set to the current file path.
   * Its added to `file.messages`.
   *
   * @param {string | Error | VFileMessage} reason
   *   Reason for message, uses the stack and message of the error if given.
   * @param {Node | NodeLike | Position | Point | null | undefined} [place]
   *   Place in file where the message occurred.
   * @param {string | null | undefined} [origin]
   *   Place in code where the message originates (example:
   *   `'my-package:my-rule'` or `'my-rule'`).
   * @returns {VFileMessage}
   *   Message.
   */
  info(t, n, r) {
    const i = this.message(t, n, r);
    return i.fatal = null, i;
  }
  /**
   * Create a fatal error associated with the file.
   *
   * Its `fatal` is set to `true` and `file` is set to the current file path.
   * Its added to `file.messages`.
   *
   * > 👉 **Note**: a fatal error means that a file is no longer processable.
   *
   * @param {string | Error | VFileMessage} reason
   *   Reason for message, uses the stack and message of the error if given.
   * @param {Node | NodeLike | Position | Point | null | undefined} [place]
   *   Place in file where the message occurred.
   * @param {string | null | undefined} [origin]
   *   Place in code where the message originates (example:
   *   `'my-package:my-rule'` or `'my-rule'`).
   * @returns {never}
   *   Message.
   * @throws {VFileMessage}
   *   Message.
   */
  fail(t, n, r) {
    const i = this.message(t, n, r);
    throw i.fatal = !0, i;
  }
}
function _e(e, t) {
  if (e && e.includes(ne.sep))
    throw new Error(
      "`" + t + "` cannot be a path: did not expect `" + ne.sep + "`"
    );
}
function Re(e, t) {
  if (!e)
    throw new Error("`" + t + "` cannot be empty");
}
function dt(e, t) {
  if (!e)
    throw new Error("Setting `" + t + "` requires `path` to be set too");
}
function Zn(e) {
  return Jt(e);
}
function yt(e) {
  if (e)
    throw e;
}
var Te = Object.prototype.hasOwnProperty, Kt = Object.prototype.toString, xt = Object.defineProperty, kt = Object.getOwnPropertyDescriptor, wt = function(t) {
  return typeof Array.isArray == "function" ? Array.isArray(t) : Kt.call(t) === "[object Array]";
}, bt = function(t) {
  if (!t || Kt.call(t) !== "[object Object]")
    return !1;
  var n = Te.call(t, "constructor"), r = t.constructor && t.constructor.prototype && Te.call(t.constructor.prototype, "isPrototypeOf");
  if (t.constructor && !n && !r)
    return !1;
  var i;
  for (i in t)
    ;
  return typeof i > "u" || Te.call(t, i);
}, Et = function(t, n) {
  xt && n.name === "__proto__" ? xt(t, n.name, {
    enumerable: !0,
    configurable: !0,
    value: n.newValue,
    writable: !0
  }) : t[n.name] = n.newValue;
}, St = function(t, n) {
  if (n === "__proto__")
    if (Te.call(t, n)) {
      if (kt)
        return kt(t, n).value;
    } else
      return;
  return t[n];
}, Kn = function e() {
  var t, n, r, i, u, l, a = arguments[0], o = 1, s = arguments.length, c = !1;
  for (typeof a == "boolean" && (c = a, a = arguments[1] || {}, o = 2), (a == null || typeof a != "object" && typeof a != "function") && (a = {}); o < s; ++o)
    if (t = arguments[o], t != null)
      for (n in t)
        r = St(a, n), i = St(t, n), a !== i && (c && i && (bt(i) || (u = wt(i))) ? (u ? (u = !1, l = r && wt(r) ? r : []) : l = r && bt(r) ? r : {}, Et(a, { name: n, newValue: e(c, l, i) })) : typeof i < "u" && Et(a, { name: n, newValue: i }));
  return a;
};
const Ct = /* @__PURE__ */ Je(Kn);
function Qe(e) {
  if (typeof e != "object" || e === null)
    return !1;
  const t = Object.getPrototypeOf(e);
  return (t === null || t === Object.prototype || Object.getPrototypeOf(t) === null) && !(Symbol.toStringTag in e) && !(Symbol.iterator in e);
}
function er() {
  const e = [], t = { run: n, use: r };
  return t;
  function n(...i) {
    let u = -1;
    const l = i.pop();
    if (typeof l != "function")
      throw new TypeError("Expected function as last argument, not " + l);
    a(null, ...i);
    function a(o, ...s) {
      const c = e[++u];
      let m = -1;
      if (o) {
        l(o);
        return;
      }
      for (; ++m < i.length; )
        (s[m] === null || s[m] === void 0) && (s[m] = i[m]);
      i = s, c ? tr(c, a)(...s) : l(null, ...s);
    }
  }
  function r(i) {
    if (typeof i != "function")
      throw new TypeError(
        "Expected `middelware` to be a function, not " + i
      );
    return e.push(i), t;
  }
}
function tr(e, t) {
  let n;
  return r;
  function r(...l) {
    const a = e.length > l.length;
    let o;
    a && l.push(i);
    try {
      o = e.apply(this, l);
    } catch (s) {
      const c = (
        /** @type {Error} */
        s
      );
      if (a && n)
        throw c;
      return i(c);
    }
    a || (o && o.then && typeof o.then == "function" ? o.then(u, i) : o instanceof Error ? i(o) : u(o));
  }
  function i(l, ...a) {
    n || (n = !0, t(l, ...a));
  }
  function u(l) {
    i(null, l);
  }
}
const nr = tn().freeze(), en = {}.hasOwnProperty;
function tn() {
  const e = er(), t = [];
  let n = {}, r, i = -1;
  return u.data = l, u.Parser = void 0, u.Compiler = void 0, u.freeze = a, u.attachers = t, u.use = o, u.parse = s, u.stringify = c, u.run = m, u.runSync = g, u.process = h, u.processSync = b, u;
  function u() {
    const x = tn();
    let E = -1;
    for (; ++E < t.length; )
      x.use(...t[E]);
    return x.data(Ct(!0, {}, n)), x;
  }
  function l(x, E) {
    return typeof x == "string" ? arguments.length === 2 ? (He("data", r), n[x] = E, u) : en.call(n, x) && n[x] || null : x ? (He("data", r), n = x, u) : n;
  }
  function a() {
    if (r)
      return u;
    for (; ++i < t.length; ) {
      const [x, ...E] = t[i];
      if (E[0] === !1)
        continue;
      E[0] === !0 && (E[0] = void 0);
      const k = x.call(u, ...E);
      typeof k == "function" && e.use(k);
    }
    return r = !0, i = Number.POSITIVE_INFINITY, u;
  }
  function o(x, ...E) {
    let k;
    if (He("use", r), x != null)
      if (typeof x == "function")
        L(x, ...E);
      else if (typeof x == "object")
        Array.isArray(x) ? D(x) : S(x);
      else
        throw new TypeError("Expected usable value, not `" + x + "`");
    return k && (n.settings = Object.assign(n.settings || {}, k)), u;
    function O(d) {
      if (typeof d == "function")
        L(d);
      else if (typeof d == "object")
        if (Array.isArray(d)) {
          const [F, ...P] = d;
          L(F, ...P);
        } else
          S(d);
      else
        throw new TypeError("Expected usable value, not `" + d + "`");
    }
    function S(d) {
      D(d.plugins), d.settings && (k = Object.assign(k || {}, d.settings));
    }
    function D(d) {
      let F = -1;
      if (d != null)
        if (Array.isArray(d))
          for (; ++F < d.length; ) {
            const P = d[F];
            O(P);
          }
        else
          throw new TypeError("Expected a list of plugins, not `" + d + "`");
    }
    function L(d, F) {
      let P = -1, _;
      for (; ++P < t.length; )
        if (t[P][0] === d) {
          _ = t[P];
          break;
        }
      _ ? (Qe(_[1]) && Qe(F) && (F = Ct(!0, _[1], F)), _[1] = F) : t.push([...arguments]);
    }
  }
  function s(x) {
    u.freeze();
    const E = Ee(x), k = u.Parser;
    return je("parse", k), At(k, "parse") ? new k(String(E), E).parse() : k(String(E), E);
  }
  function c(x, E) {
    u.freeze();
    const k = Ee(E), O = u.Compiler;
    return Me("stringify", O), Ft(x), At(O, "compile") ? new O(x, k).compile() : O(x, k);
  }
  function m(x, E, k) {
    if (Ft(x), u.freeze(), !k && typeof E == "function" && (k = E, E = void 0), !k)
      return new Promise(O);
    O(null, k);
    function O(S, D) {
      e.run(x, Ee(E), L);
      function L(d, F, P) {
        F = F || x, d ? D(d) : S ? S(F) : k(null, F, P);
      }
    }
  }
  function g(x, E) {
    let k, O;
    return u.run(x, E, S), It("runSync", "run", O), k;
    function S(D, L) {
      yt(D), k = L, O = !0;
    }
  }
  function h(x, E) {
    if (u.freeze(), je("process", u.Parser), Me("process", u.Compiler), !E)
      return new Promise(k);
    k(null, E);
    function k(O, S) {
      const D = Ee(x);
      u.run(u.parse(D), D, (d, F, P) => {
        if (d || !F || !P)
          L(d);
        else {
          const _ = u.stringify(F, P);
          _ == null || (ur(_) ? P.value = _ : P.result = _), L(d, P);
        }
      });
      function L(d, F) {
        d || !F ? S(d) : O ? O(F) : E(null, F);
      }
    }
  }
  function b(x) {
    let E;
    u.freeze(), je("processSync", u.Parser), Me("processSync", u.Compiler);
    const k = Ee(x);
    return u.process(k, O), It("processSync", "process", E), k;
    function O(S) {
      E = !0, yt(S);
    }
  }
}
function At(e, t) {
  return typeof e == "function" && // Prototypes do exist.
  // type-coverage:ignore-next-line
  e.prototype && // A function with keys in its prototype is probably a constructor.
  // Classes’ prototype methods are not enumerable, so we check if some value
  // exists in the prototype.
  // type-coverage:ignore-next-line
  (rr(e.prototype) || t in e.prototype);
}
function rr(e) {
  let t;
  for (t in e)
    if (en.call(e, t))
      return !0;
  return !1;
}
function je(e, t) {
  if (typeof t != "function")
    throw new TypeError("Cannot `" + e + "` without `Parser`");
}
function Me(e, t) {
  if (typeof t != "function")
    throw new TypeError("Cannot `" + e + "` without `Compiler`");
}
function He(e, t) {
  if (t)
    throw new Error(
      "Cannot call `" + e + "` on a frozen processor.\nCreate a new processor first, by calling it: use `processor()` instead of `processor`."
    );
}
function Ft(e) {
  if (!Qe(e) || typeof e.type != "string")
    throw new TypeError("Expected node, got `" + e + "`");
}
function It(e, t, n) {
  if (!n)
    throw new Error(
      "`" + e + "` finished async. Use `" + t + "` instead"
    );
}
function Ee(e) {
  return ir(e) ? e : new Zt(e);
}
function ir(e) {
  return !!(e && typeof e == "object" && "message" in e && "messages" in e);
}
function ur(e) {
  return typeof e == "string" || Jt(e);
}
const lr = {};
function ar(e, t) {
  const n = t || lr, r = typeof n.includeImageAlt == "boolean" ? n.includeImageAlt : !0, i = typeof n.includeHtml == "boolean" ? n.includeHtml : !0;
  return nn(e, r, i);
}
function nn(e, t, n) {
  if (or(e)) {
    if ("value" in e)
      return e.type === "html" && !n ? "" : e.value;
    if (t && "alt" in e && e.alt)
      return e.alt;
    if ("children" in e)
      return Tt(e.children, t, n);
  }
  return Array.isArray(e) ? Tt(e, t, n) : "";
}
function Tt(e, t, n) {
  const r = [];
  let i = -1;
  for (; ++i < e.length; )
    r[i] = nn(e[i], t, n);
  return r.join("");
}
function or(e) {
  return !!(e && typeof e == "object");
}
function ie(e, t, n, r) {
  const i = e.length;
  let u = 0, l;
  if (t < 0 ? t = -t > i ? 0 : i + t : t = t > i ? i : t, n = n > 0 ? n : 0, r.length < 1e4)
    l = Array.from(r), l.unshift(t, n), e.splice(...l);
  else
    for (n && e.splice(t, n); u < r.length; )
      l = r.slice(u, u + 1e4), l.unshift(t, 0), e.splice(...l), u += 1e4, t += 1e4;
}
function Y(e, t) {
  return e.length > 0 ? (ie(e, e.length, 0, t), e) : t;
}
const zt = {}.hasOwnProperty;
function sr(e) {
  const t = {};
  let n = -1;
  for (; ++n < e.length; )
    cr(t, e[n]);
  return t;
}
function cr(e, t) {
  let n;
  for (n in t) {
    const i = (zt.call(e, n) ? e[n] : void 0) || (e[n] = {}), u = t[n];
    let l;
    if (u)
      for (l in u) {
        zt.call(i, l) || (i[l] = []);
        const a = u[l];
        fr(
          // @ts-expect-error Looks like a list.
          i[l],
          Array.isArray(a) ? a : a ? [a] : []
        );
      }
  }
}
function fr(e, t) {
  let n = -1;
  const r = [];
  for (; ++n < t.length; )
    (t[n].add === "after" ? e : r).push(t[n]);
  ie(e, 0, 0, r);
}
const pr = /[!-\/:-@\[-`\{-~\xA1\xA7\xAB\xB6\xB7\xBB\xBF\u037E\u0387\u055A-\u055F\u0589\u058A\u05BE\u05C0\u05C3\u05C6\u05F3\u05F4\u0609\u060A\u060C\u060D\u061B\u061D-\u061F\u066A-\u066D\u06D4\u0700-\u070D\u07F7-\u07F9\u0830-\u083E\u085E\u0964\u0965\u0970\u09FD\u0A76\u0AF0\u0C77\u0C84\u0DF4\u0E4F\u0E5A\u0E5B\u0F04-\u0F12\u0F14\u0F3A-\u0F3D\u0F85\u0FD0-\u0FD4\u0FD9\u0FDA\u104A-\u104F\u10FB\u1360-\u1368\u1400\u166E\u169B\u169C\u16EB-\u16ED\u1735\u1736\u17D4-\u17D6\u17D8-\u17DA\u1800-\u180A\u1944\u1945\u1A1E\u1A1F\u1AA0-\u1AA6\u1AA8-\u1AAD\u1B5A-\u1B60\u1B7D\u1B7E\u1BFC-\u1BFF\u1C3B-\u1C3F\u1C7E\u1C7F\u1CC0-\u1CC7\u1CD3\u2010-\u2027\u2030-\u2043\u2045-\u2051\u2053-\u205E\u207D\u207E\u208D\u208E\u2308-\u230B\u2329\u232A\u2768-\u2775\u27C5\u27C6\u27E6-\u27EF\u2983-\u2998\u29D8-\u29DB\u29FC\u29FD\u2CF9-\u2CFC\u2CFE\u2CFF\u2D70\u2E00-\u2E2E\u2E30-\u2E4F\u2E52-\u2E5D\u3001-\u3003\u3008-\u3011\u3014-\u301F\u3030\u303D\u30A0\u30FB\uA4FE\uA4FF\uA60D-\uA60F\uA673\uA67E\uA6F2-\uA6F7\uA874-\uA877\uA8CE\uA8CF\uA8F8-\uA8FA\uA8FC\uA92E\uA92F\uA95F\uA9C1-\uA9CD\uA9DE\uA9DF\uAA5C-\uAA5F\uAADE\uAADF\uAAF0\uAAF1\uABEB\uFD3E\uFD3F\uFE10-\uFE19\uFE30-\uFE52\uFE54-\uFE61\uFE63\uFE68\uFE6A\uFE6B\uFF01-\uFF03\uFF05-\uFF0A\uFF0C-\uFF0F\uFF1A\uFF1B\uFF1F\uFF20\uFF3B-\uFF3D\uFF3F\uFF5B\uFF5D\uFF5F-\uFF65]/, re = pe(/[A-Za-z]/), X = pe(/[\dA-Za-z]/), hr = pe(/[#-'*+\--9=?A-Z^-~]/);
function We(e) {
  return (
    // Special whitespace codes (which have negative values), C0 and Control
    // character DEL
    e !== null && (e < 32 || e === 127)
  );
}
const Ge = pe(/\d/), mr = pe(/[\dA-Fa-f]/), gr = pe(/[!-/:-@[-`{-~]/);
function T(e) {
  return e !== null && e < -2;
}
function G(e) {
  return e !== null && (e < 0 || e === 32);
}
function N(e) {
  return e === -2 || e === -1 || e === 32;
}
const dr = pe(pr), yr = pe(/\s/);
function pe(e) {
  return t;
  function t(n) {
    return n !== null && e.test(String.fromCharCode(n));
  }
}
function M(e, t, n, r) {
  const i = r ? r - 1 : Number.POSITIVE_INFINITY;
  let u = 0;
  return l;
  function l(o) {
    return N(o) ? (e.enter(n), a(o)) : t(o);
  }
  function a(o) {
    return N(o) && u++ < i ? (e.consume(o), a) : (e.exit(n), t(o));
  }
}
const xr = {
  tokenize: kr
};
function kr(e) {
  const t = e.attempt(
    this.parser.constructs.contentInitial,
    r,
    i
  );
  let n;
  return t;
  function r(a) {
    if (a === null) {
      e.consume(a);
      return;
    }
    return e.enter("lineEnding"), e.consume(a), e.exit("lineEnding"), M(e, t, "linePrefix");
  }
  function i(a) {
    return e.enter("paragraph"), u(a);
  }
  function u(a) {
    const o = e.enter("chunkText", {
      contentType: "text",
      previous: n
    });
    return n && (n.next = o), n = o, l(a);
  }
  function l(a) {
    if (a === null) {
      e.exit("chunkText"), e.exit("paragraph"), e.consume(a);
      return;
    }
    return T(a) ? (e.consume(a), e.exit("chunkText"), u) : (e.consume(a), l);
  }
}
const wr = {
  tokenize: br
}, Ot = {
  tokenize: Er
};
function br(e) {
  const t = this, n = [];
  let r = 0, i, u, l;
  return a;
  function a(S) {
    if (r < n.length) {
      const D = n[r];
      return t.containerState = D[1], e.attempt(
        D[0].continuation,
        o,
        s
      )(S);
    }
    return s(S);
  }
  function o(S) {
    if (r++, t.containerState._closeFlow) {
      t.containerState._closeFlow = void 0, i && O();
      const D = t.events.length;
      let L = D, d;
      for (; L--; )
        if (t.events[L][0] === "exit" && t.events[L][1].type === "chunkFlow") {
          d = t.events[L][1].end;
          break;
        }
      k(r);
      let F = D;
      for (; F < t.events.length; )
        t.events[F][1].end = Object.assign({}, d), F++;
      return ie(
        t.events,
        L + 1,
        0,
        t.events.slice(D)
      ), t.events.length = F, s(S);
    }
    return a(S);
  }
  function s(S) {
    if (r === n.length) {
      if (!i)
        return g(S);
      if (i.currentConstruct && i.currentConstruct.concrete)
        return b(S);
      t.interrupt = !!(i.currentConstruct && !i._gfmTableDynamicInterruptHack);
    }
    return t.containerState = {}, e.check(
      Ot,
      c,
      m
    )(S);
  }
  function c(S) {
    return i && O(), k(r), g(S);
  }
  function m(S) {
    return t.parser.lazy[t.now().line] = r !== n.length, l = t.now().offset, b(S);
  }
  function g(S) {
    return t.containerState = {}, e.attempt(
      Ot,
      h,
      b
    )(S);
  }
  function h(S) {
    return r++, n.push([t.currentConstruct, t.containerState]), g(S);
  }
  function b(S) {
    if (S === null) {
      i && O(), k(0), e.consume(S);
      return;
    }
    return i = i || t.parser.flow(t.now()), e.enter("chunkFlow", {
      contentType: "flow",
      previous: u,
      _tokenizer: i
    }), x(S);
  }
  function x(S) {
    if (S === null) {
      E(e.exit("chunkFlow"), !0), k(0), e.consume(S);
      return;
    }
    return T(S) ? (e.consume(S), E(e.exit("chunkFlow")), r = 0, t.interrupt = void 0, a) : (e.consume(S), x);
  }
  function E(S, D) {
    const L = t.sliceStream(S);
    if (D && L.push(null), S.previous = u, u && (u.next = S), u = S, i.defineSkip(S.start), i.write(L), t.parser.lazy[S.start.line]) {
      let d = i.events.length;
      for (; d--; )
        if (
          // The token starts before the line ending…
          i.events[d][1].start.offset < l && // …and either is not ended yet…
          (!i.events[d][1].end || // …or ends after it.
          i.events[d][1].end.offset > l)
        )
          return;
      const F = t.events.length;
      let P = F, _, U;
      for (; P--; )
        if (t.events[P][0] === "exit" && t.events[P][1].type === "chunkFlow") {
          if (_) {
            U = t.events[P][1].end;
            break;
          }
          _ = !0;
        }
      for (k(r), d = F; d < t.events.length; )
        t.events[d][1].end = Object.assign({}, U), d++;
      ie(
        t.events,
        P + 1,
        0,
        t.events.slice(F)
      ), t.events.length = d;
    }
  }
  function k(S) {
    let D = n.length;
    for (; D-- > S; ) {
      const L = n[D];
      t.containerState = L[1], L[0].exit.call(t, e);
    }
    n.length = S;
  }
  function O() {
    i.write([null]), u = void 0, i = void 0, t.containerState._closeFlow = void 0;
  }
}
function Er(e, t, n) {
  return M(
    e,
    e.attempt(this.parser.constructs.document, t, n),
    "linePrefix",
    this.parser.constructs.disable.null.includes("codeIndented") ? void 0 : 4
  );
}
function Pt(e) {
  if (e === null || G(e) || yr(e))
    return 1;
  if (dr(e))
    return 2;
}
function et(e, t, n) {
  const r = [];
  let i = -1;
  for (; ++i < e.length; ) {
    const u = e[i].resolveAll;
    u && !r.includes(u) && (t = u(t, n), r.push(u));
  }
  return t;
}
const Xe = {
  name: "attention",
  tokenize: Cr,
  resolveAll: Sr
};
function Sr(e, t) {
  let n = -1, r, i, u, l, a, o, s, c;
  for (; ++n < e.length; )
    if (e[n][0] === "enter" && e[n][1].type === "attentionSequence" && e[n][1]._close) {
      for (r = n; r--; )
        if (e[r][0] === "exit" && e[r][1].type === "attentionSequence" && e[r][1]._open && // If the markers are the same:
        t.sliceSerialize(e[r][1]).charCodeAt(0) === t.sliceSerialize(e[n][1]).charCodeAt(0)) {
          if ((e[r][1]._close || e[n][1]._open) && (e[n][1].end.offset - e[n][1].start.offset) % 3 && !((e[r][1].end.offset - e[r][1].start.offset + e[n][1].end.offset - e[n][1].start.offset) % 3))
            continue;
          o = e[r][1].end.offset - e[r][1].start.offset > 1 && e[n][1].end.offset - e[n][1].start.offset > 1 ? 2 : 1;
          const m = Object.assign({}, e[r][1].end), g = Object.assign({}, e[n][1].start);
          Dt(m, -o), Dt(g, o), l = {
            type: o > 1 ? "strongSequence" : "emphasisSequence",
            start: m,
            end: Object.assign({}, e[r][1].end)
          }, a = {
            type: o > 1 ? "strongSequence" : "emphasisSequence",
            start: Object.assign({}, e[n][1].start),
            end: g
          }, u = {
            type: o > 1 ? "strongText" : "emphasisText",
            start: Object.assign({}, e[r][1].end),
            end: Object.assign({}, e[n][1].start)
          }, i = {
            type: o > 1 ? "strong" : "emphasis",
            start: Object.assign({}, l.start),
            end: Object.assign({}, a.end)
          }, e[r][1].end = Object.assign({}, l.start), e[n][1].start = Object.assign({}, a.end), s = [], e[r][1].end.offset - e[r][1].start.offset && (s = Y(s, [
            ["enter", e[r][1], t],
            ["exit", e[r][1], t]
          ])), s = Y(s, [
            ["enter", i, t],
            ["enter", l, t],
            ["exit", l, t],
            ["enter", u, t]
          ]), s = Y(
            s,
            et(
              t.parser.constructs.insideSpan.null,
              e.slice(r + 1, n),
              t
            )
          ), s = Y(s, [
            ["exit", u, t],
            ["enter", a, t],
            ["exit", a, t],
            ["exit", i, t]
          ]), e[n][1].end.offset - e[n][1].start.offset ? (c = 2, s = Y(s, [
            ["enter", e[n][1], t],
            ["exit", e[n][1], t]
          ])) : c = 0, ie(e, r - 1, n - r + 3, s), n = r + s.length - c - 2;
          break;
        }
    }
  for (n = -1; ++n < e.length; )
    e[n][1].type === "attentionSequence" && (e[n][1].type = "data");
  return e;
}
function Cr(e, t) {
  const n = this.parser.constructs.attentionMarkers.null, r = this.previous, i = Pt(r);
  let u;
  return l;
  function l(o) {
    return u = o, e.enter("attentionSequence"), a(o);
  }
  function a(o) {
    if (o === u)
      return e.consume(o), a;
    const s = e.exit("attentionSequence"), c = Pt(o), m = !c || c === 2 && i || n.includes(o), g = !i || i === 2 && c || n.includes(r);
    return s._open = !!(u === 42 ? m : m && (i || !g)), s._close = !!(u === 42 ? g : g && (c || !m)), t(o);
  }
}
function Dt(e, t) {
  e.column += t, e.offset += t, e._bufferIndex += t;
}
const Ar = {
  name: "autolink",
  tokenize: Fr
};
function Fr(e, t, n) {
  let r = 0;
  return i;
  function i(h) {
    return e.enter("autolink"), e.enter("autolinkMarker"), e.consume(h), e.exit("autolinkMarker"), e.enter("autolinkProtocol"), u;
  }
  function u(h) {
    return re(h) ? (e.consume(h), l) : s(h);
  }
  function l(h) {
    return h === 43 || h === 45 || h === 46 || X(h) ? (r = 1, a(h)) : s(h);
  }
  function a(h) {
    return h === 58 ? (e.consume(h), r = 0, o) : (h === 43 || h === 45 || h === 46 || X(h)) && r++ < 32 ? (e.consume(h), a) : (r = 0, s(h));
  }
  function o(h) {
    return h === 62 ? (e.exit("autolinkProtocol"), e.enter("autolinkMarker"), e.consume(h), e.exit("autolinkMarker"), e.exit("autolink"), t) : h === null || h === 32 || h === 60 || We(h) ? n(h) : (e.consume(h), o);
  }
  function s(h) {
    return h === 64 ? (e.consume(h), c) : hr(h) ? (e.consume(h), s) : n(h);
  }
  function c(h) {
    return X(h) ? m(h) : n(h);
  }
  function m(h) {
    return h === 46 ? (e.consume(h), r = 0, c) : h === 62 ? (e.exit("autolinkProtocol").type = "autolinkEmail", e.enter("autolinkMarker"), e.consume(h), e.exit("autolinkMarker"), e.exit("autolink"), t) : g(h);
  }
  function g(h) {
    if ((h === 45 || X(h)) && r++ < 63) {
      const b = h === 45 ? g : m;
      return e.consume(h), b;
    }
    return n(h);
  }
}
const Pe = {
  tokenize: Ir,
  partial: !0
};
function Ir(e, t, n) {
  return r;
  function r(u) {
    return N(u) ? M(e, i, "linePrefix")(u) : i(u);
  }
  function i(u) {
    return u === null || T(u) ? t(u) : n(u);
  }
}
const rn = {
  name: "blockQuote",
  tokenize: Tr,
  continuation: {
    tokenize: zr
  },
  exit: Or
};
function Tr(e, t, n) {
  const r = this;
  return i;
  function i(l) {
    if (l === 62) {
      const a = r.containerState;
      return a.open || (e.enter("blockQuote", {
        _container: !0
      }), a.open = !0), e.enter("blockQuotePrefix"), e.enter("blockQuoteMarker"), e.consume(l), e.exit("blockQuoteMarker"), u;
    }
    return n(l);
  }
  function u(l) {
    return N(l) ? (e.enter("blockQuotePrefixWhitespace"), e.consume(l), e.exit("blockQuotePrefixWhitespace"), e.exit("blockQuotePrefix"), t) : (e.exit("blockQuotePrefix"), t(l));
  }
}
function zr(e, t, n) {
  const r = this;
  return i;
  function i(l) {
    return N(l) ? M(
      e,
      u,
      "linePrefix",
      r.parser.constructs.disable.null.includes("codeIndented") ? void 0 : 4
    )(l) : u(l);
  }
  function u(l) {
    return e.attempt(rn, t, n)(l);
  }
}
function Or(e) {
  e.exit("blockQuote");
}
const un = {
  name: "characterEscape",
  tokenize: Pr
};
function Pr(e, t, n) {
  return r;
  function r(u) {
    return e.enter("characterEscape"), e.enter("escapeMarker"), e.consume(u), e.exit("escapeMarker"), i;
  }
  function i(u) {
    return gr(u) ? (e.enter("characterEscapeValue"), e.consume(u), e.exit("characterEscapeValue"), e.exit("characterEscape"), t) : n(u);
  }
}
const ln = {
  name: "characterReference",
  tokenize: Dr
};
function Dr(e, t, n) {
  const r = this;
  let i = 0, u, l;
  return a;
  function a(m) {
    return e.enter("characterReference"), e.enter("characterReferenceMarker"), e.consume(m), e.exit("characterReferenceMarker"), o;
  }
  function o(m) {
    return m === 35 ? (e.enter("characterReferenceMarkerNumeric"), e.consume(m), e.exit("characterReferenceMarkerNumeric"), s) : (e.enter("characterReferenceValue"), u = 31, l = X, c(m));
  }
  function s(m) {
    return m === 88 || m === 120 ? (e.enter("characterReferenceMarkerHexadecimal"), e.consume(m), e.exit("characterReferenceMarkerHexadecimal"), e.enter("characterReferenceValue"), u = 6, l = mr, c) : (e.enter("characterReferenceValue"), u = 7, l = Ge, c(m));
  }
  function c(m) {
    if (m === 59 && i) {
      const g = e.exit("characterReferenceValue");
      return l === X && !Ke(r.sliceSerialize(g)) ? n(m) : (e.enter("characterReferenceMarker"), e.consume(m), e.exit("characterReferenceMarker"), e.exit("characterReference"), t);
    }
    return l(m) && i++ < u ? (e.consume(m), c) : n(m);
  }
}
const Lt = {
  tokenize: Br,
  partial: !0
}, Bt = {
  name: "codeFenced",
  tokenize: Lr,
  concrete: !0
};
function Lr(e, t, n) {
  const r = this, i = {
    tokenize: L,
    partial: !0
  };
  let u = 0, l = 0, a;
  return o;
  function o(d) {
    return s(d);
  }
  function s(d) {
    const F = r.events[r.events.length - 1];
    return u = F && F[1].type === "linePrefix" ? F[2].sliceSerialize(F[1], !0).length : 0, a = d, e.enter("codeFenced"), e.enter("codeFencedFence"), e.enter("codeFencedFenceSequence"), c(d);
  }
  function c(d) {
    return d === a ? (l++, e.consume(d), c) : l < 3 ? n(d) : (e.exit("codeFencedFenceSequence"), N(d) ? M(e, m, "whitespace")(d) : m(d));
  }
  function m(d) {
    return d === null || T(d) ? (e.exit("codeFencedFence"), r.interrupt ? t(d) : e.check(Lt, x, D)(d)) : (e.enter("codeFencedFenceInfo"), e.enter("chunkString", {
      contentType: "string"
    }), g(d));
  }
  function g(d) {
    return d === null || T(d) ? (e.exit("chunkString"), e.exit("codeFencedFenceInfo"), m(d)) : N(d) ? (e.exit("chunkString"), e.exit("codeFencedFenceInfo"), M(e, h, "whitespace")(d)) : d === 96 && d === a ? n(d) : (e.consume(d), g);
  }
  function h(d) {
    return d === null || T(d) ? m(d) : (e.enter("codeFencedFenceMeta"), e.enter("chunkString", {
      contentType: "string"
    }), b(d));
  }
  function b(d) {
    return d === null || T(d) ? (e.exit("chunkString"), e.exit("codeFencedFenceMeta"), m(d)) : d === 96 && d === a ? n(d) : (e.consume(d), b);
  }
  function x(d) {
    return e.attempt(i, D, E)(d);
  }
  function E(d) {
    return e.enter("lineEnding"), e.consume(d), e.exit("lineEnding"), k;
  }
  function k(d) {
    return u > 0 && N(d) ? M(
      e,
      O,
      "linePrefix",
      u + 1
    )(d) : O(d);
  }
  function O(d) {
    return d === null || T(d) ? e.check(Lt, x, D)(d) : (e.enter("codeFlowValue"), S(d));
  }
  function S(d) {
    return d === null || T(d) ? (e.exit("codeFlowValue"), O(d)) : (e.consume(d), S);
  }
  function D(d) {
    return e.exit("codeFenced"), t(d);
  }
  function L(d, F, P) {
    let _ = 0;
    return U;
    function U(B) {
      return d.enter("lineEnding"), d.consume(B), d.exit("lineEnding"), C;
    }
    function C(B) {
      return d.enter("codeFencedFence"), N(B) ? M(
        d,
        A,
        "linePrefix",
        r.parser.constructs.disable.null.includes("codeIndented") ? void 0 : 4
      )(B) : A(B);
    }
    function A(B) {
      return B === a ? (d.enter("codeFencedFenceSequence"), H(B)) : P(B);
    }
    function H(B) {
      return B === a ? (_++, d.consume(B), H) : _ >= l ? (d.exit("codeFencedFenceSequence"), N(B) ? M(d, q, "whitespace")(B) : q(B)) : P(B);
    }
    function q(B) {
      return B === null || T(B) ? (d.exit("codeFencedFence"), F(B)) : P(B);
    }
  }
}
function Br(e, t, n) {
  const r = this;
  return i;
  function i(l) {
    return l === null ? n(l) : (e.enter("lineEnding"), e.consume(l), e.exit("lineEnding"), u);
  }
  function u(l) {
    return r.parser.lazy[r.now().line] ? n(l) : t(l);
  }
}
const qe = {
  name: "codeIndented",
  tokenize: _r
}, Nr = {
  tokenize: Rr,
  partial: !0
};
function _r(e, t, n) {
  const r = this;
  return i;
  function i(s) {
    return e.enter("codeIndented"), M(e, u, "linePrefix", 4 + 1)(s);
  }
  function u(s) {
    const c = r.events[r.events.length - 1];
    return c && c[1].type === "linePrefix" && c[2].sliceSerialize(c[1], !0).length >= 4 ? l(s) : n(s);
  }
  function l(s) {
    return s === null ? o(s) : T(s) ? e.attempt(Nr, l, o)(s) : (e.enter("codeFlowValue"), a(s));
  }
  function a(s) {
    return s === null || T(s) ? (e.exit("codeFlowValue"), l(s)) : (e.consume(s), a);
  }
  function o(s) {
    return e.exit("codeIndented"), t(s);
  }
}
function Rr(e, t, n) {
  const r = this;
  return i;
  function i(l) {
    return r.parser.lazy[r.now().line] ? n(l) : T(l) ? (e.enter("lineEnding"), e.consume(l), e.exit("lineEnding"), i) : M(e, u, "linePrefix", 4 + 1)(l);
  }
  function u(l) {
    const a = r.events[r.events.length - 1];
    return a && a[1].type === "linePrefix" && a[2].sliceSerialize(a[1], !0).length >= 4 ? t(l) : T(l) ? i(l) : n(l);
  }
}
const jr = {
  name: "codeText",
  tokenize: qr,
  resolve: Mr,
  previous: Hr
};
function Mr(e) {
  let t = e.length - 4, n = 3, r, i;
  if ((e[n][1].type === "lineEnding" || e[n][1].type === "space") && (e[t][1].type === "lineEnding" || e[t][1].type === "space")) {
    for (r = n; ++r < t; )
      if (e[r][1].type === "codeTextData") {
        e[n][1].type = "codeTextPadding", e[t][1].type = "codeTextPadding", n += 2, t -= 2;
        break;
      }
  }
  for (r = n - 1, t++; ++r <= t; )
    i === void 0 ? r !== t && e[r][1].type !== "lineEnding" && (i = r) : (r === t || e[r][1].type === "lineEnding") && (e[i][1].type = "codeTextData", r !== i + 2 && (e[i][1].end = e[r - 1][1].end, e.splice(i + 2, r - i - 2), t -= r - i - 2, r = i + 2), i = void 0);
  return e;
}
function Hr(e) {
  return e !== 96 || this.events[this.events.length - 1][1].type === "characterEscape";
}
function qr(e, t, n) {
  let r = 0, i, u;
  return l;
  function l(m) {
    return e.enter("codeText"), e.enter("codeTextSequence"), a(m);
  }
  function a(m) {
    return m === 96 ? (e.consume(m), r++, a) : (e.exit("codeTextSequence"), o(m));
  }
  function o(m) {
    return m === null ? n(m) : m === 32 ? (e.enter("space"), e.consume(m), e.exit("space"), o) : m === 96 ? (u = e.enter("codeTextSequence"), i = 0, c(m)) : T(m) ? (e.enter("lineEnding"), e.consume(m), e.exit("lineEnding"), o) : (e.enter("codeTextData"), s(m));
  }
  function s(m) {
    return m === null || m === 32 || m === 96 || T(m) ? (e.exit("codeTextData"), o(m)) : (e.consume(m), s);
  }
  function c(m) {
    return m === 96 ? (e.consume(m), i++, c) : i === r ? (e.exit("codeTextSequence"), e.exit("codeText"), t(m)) : (u.type = "codeTextData", s(m));
  }
}
function an(e) {
  const t = {};
  let n = -1, r, i, u, l, a, o, s;
  for (; ++n < e.length; ) {
    for (; n in t; )
      n = t[n];
    if (r = e[n], n && r[1].type === "chunkFlow" && e[n - 1][1].type === "listItemPrefix" && (o = r[1]._tokenizer.events, u = 0, u < o.length && o[u][1].type === "lineEndingBlank" && (u += 2), u < o.length && o[u][1].type === "content"))
      for (; ++u < o.length && o[u][1].type !== "content"; )
        o[u][1].type === "chunkText" && (o[u][1]._isInFirstContentOfListItem = !0, u++);
    if (r[0] === "enter")
      r[1].contentType && (Object.assign(t, Vr(e, n)), n = t[n], s = !0);
    else if (r[1]._container) {
      for (u = n, i = void 0; u-- && (l = e[u], l[1].type === "lineEnding" || l[1].type === "lineEndingBlank"); )
        l[0] === "enter" && (i && (e[i][1].type = "lineEndingBlank"), l[1].type = "lineEnding", i = u);
      i && (r[1].end = Object.assign({}, e[i][1].start), a = e.slice(i, n), a.unshift(r), ie(e, i, n - i + 1, a));
    }
  }
  return !s;
}
function Vr(e, t) {
  const n = e[t][1], r = e[t][2];
  let i = t - 1;
  const u = [], l = n._tokenizer || r.parser[n.contentType](n.start), a = l.events, o = [], s = {};
  let c, m, g = -1, h = n, b = 0, x = 0;
  const E = [x];
  for (; h; ) {
    for (; e[++i][1] !== h; )
      ;
    u.push(i), h._tokenizer || (c = r.sliceStream(h), h.next || c.push(null), m && l.defineSkip(h.start), h._isInFirstContentOfListItem && (l._gfmTasklistFirstContentOfListItem = !0), l.write(c), h._isInFirstContentOfListItem && (l._gfmTasklistFirstContentOfListItem = void 0)), m = h, h = h.next;
  }
  for (h = n; ++g < a.length; )
    // Find a void token that includes a break.
    a[g][0] === "exit" && a[g - 1][0] === "enter" && a[g][1].type === a[g - 1][1].type && a[g][1].start.line !== a[g][1].end.line && (x = g + 1, E.push(x), h._tokenizer = void 0, h.previous = void 0, h = h.next);
  for (l.events = [], h ? (h._tokenizer = void 0, h.previous = void 0) : E.pop(), g = E.length; g--; ) {
    const k = a.slice(E[g], E[g + 1]), O = u.pop();
    o.unshift([O, O + k.length - 1]), ie(e, O, 2, k);
  }
  for (g = -1; ++g < o.length; )
    s[b + o[g][0]] = b + o[g][1], b += o[g][1] - o[g][0] - 1;
  return s;
}
const Ur = {
  tokenize: Qr,
  resolve: vr
}, $r = {
  tokenize: Wr,
  partial: !0
};
function vr(e) {
  return an(e), e;
}
function Qr(e, t) {
  let n;
  return r;
  function r(a) {
    return e.enter("content"), n = e.enter("chunkContent", {
      contentType: "content"
    }), i(a);
  }
  function i(a) {
    return a === null ? u(a) : T(a) ? e.check(
      $r,
      l,
      u
    )(a) : (e.consume(a), i);
  }
  function u(a) {
    return e.exit("chunkContent"), e.exit("content"), t(a);
  }
  function l(a) {
    return e.consume(a), e.exit("chunkContent"), n.next = e.enter("chunkContent", {
      contentType: "content",
      previous: n
    }), n = n.next, i;
  }
}
function Wr(e, t, n) {
  const r = this;
  return i;
  function i(l) {
    return e.exit("chunkContent"), e.enter("lineEnding"), e.consume(l), e.exit("lineEnding"), M(e, u, "linePrefix");
  }
  function u(l) {
    if (l === null || T(l))
      return n(l);
    const a = r.events[r.events.length - 1];
    return !r.parser.constructs.disable.null.includes("codeIndented") && a && a[1].type === "linePrefix" && a[2].sliceSerialize(a[1], !0).length >= 4 ? t(l) : e.interrupt(r.parser.constructs.flow, n, t)(l);
  }
}
function on(e, t, n, r, i, u, l, a, o) {
  const s = o || Number.POSITIVE_INFINITY;
  let c = 0;
  return m;
  function m(k) {
    return k === 60 ? (e.enter(r), e.enter(i), e.enter(u), e.consume(k), e.exit(u), g) : k === null || k === 32 || k === 41 || We(k) ? n(k) : (e.enter(r), e.enter(l), e.enter(a), e.enter("chunkString", {
      contentType: "string"
    }), x(k));
  }
  function g(k) {
    return k === 62 ? (e.enter(u), e.consume(k), e.exit(u), e.exit(i), e.exit(r), t) : (e.enter(a), e.enter("chunkString", {
      contentType: "string"
    }), h(k));
  }
  function h(k) {
    return k === 62 ? (e.exit("chunkString"), e.exit(a), g(k)) : k === null || k === 60 || T(k) ? n(k) : (e.consume(k), k === 92 ? b : h);
  }
  function b(k) {
    return k === 60 || k === 62 || k === 92 ? (e.consume(k), h) : h(k);
  }
  function x(k) {
    return !c && (k === null || k === 41 || G(k)) ? (e.exit("chunkString"), e.exit(a), e.exit(l), e.exit(r), t(k)) : c < s && k === 40 ? (e.consume(k), c++, x) : k === 41 ? (e.consume(k), c--, x) : k === null || k === 32 || k === 40 || We(k) ? n(k) : (e.consume(k), k === 92 ? E : x);
  }
  function E(k) {
    return k === 40 || k === 41 || k === 92 ? (e.consume(k), x) : x(k);
  }
}
function sn(e, t, n, r, i, u) {
  const l = this;
  let a = 0, o;
  return s;
  function s(h) {
    return e.enter(r), e.enter(i), e.consume(h), e.exit(i), e.enter(u), c;
  }
  function c(h) {
    return a > 999 || h === null || h === 91 || h === 93 && !o || // To do: remove in the future once we’ve switched from
    // `micromark-extension-footnote` to `micromark-extension-gfm-footnote`,
    // which doesn’t need this.
    // Hidden footnotes hook.
    /* c8 ignore next 3 */
    h === 94 && !a && "_hiddenFootnoteSupport" in l.parser.constructs ? n(h) : h === 93 ? (e.exit(u), e.enter(i), e.consume(h), e.exit(i), e.exit(r), t) : T(h) ? (e.enter("lineEnding"), e.consume(h), e.exit("lineEnding"), c) : (e.enter("chunkString", {
      contentType: "string"
    }), m(h));
  }
  function m(h) {
    return h === null || h === 91 || h === 93 || T(h) || a++ > 999 ? (e.exit("chunkString"), c(h)) : (e.consume(h), o || (o = !N(h)), h === 92 ? g : m);
  }
  function g(h) {
    return h === 91 || h === 92 || h === 93 ? (e.consume(h), a++, m) : m(h);
  }
}
function cn(e, t, n, r, i, u) {
  let l;
  return a;
  function a(g) {
    return g === 34 || g === 39 || g === 40 ? (e.enter(r), e.enter(i), e.consume(g), e.exit(i), l = g === 40 ? 41 : g, o) : n(g);
  }
  function o(g) {
    return g === l ? (e.enter(i), e.consume(g), e.exit(i), e.exit(r), t) : (e.enter(u), s(g));
  }
  function s(g) {
    return g === l ? (e.exit(u), o(l)) : g === null ? n(g) : T(g) ? (e.enter("lineEnding"), e.consume(g), e.exit("lineEnding"), M(e, s, "linePrefix")) : (e.enter("chunkString", {
      contentType: "string"
    }), c(g));
  }
  function c(g) {
    return g === l || g === null || T(g) ? (e.exit("chunkString"), s(g)) : (e.consume(g), g === 92 ? m : c);
  }
  function m(g) {
    return g === l || g === 92 ? (e.consume(g), c) : c(g);
  }
}
function Ce(e, t) {
  let n;
  return r;
  function r(i) {
    return T(i) ? (e.enter("lineEnding"), e.consume(i), e.exit("lineEnding"), n = !0, r) : N(i) ? M(
      e,
      r,
      n ? "linePrefix" : "lineSuffix"
    )(i) : t(i);
  }
}
function xe(e) {
  return e.replace(/[\t\n\r ]+/g, " ").replace(/^ | $/g, "").toLowerCase().toUpperCase();
}
const Gr = {
  name: "definition",
  tokenize: Yr
}, Xr = {
  tokenize: Jr,
  partial: !0
};
function Yr(e, t, n) {
  const r = this;
  let i;
  return u;
  function u(h) {
    return e.enter("definition"), l(h);
  }
  function l(h) {
    return sn.call(
      r,
      e,
      a,
      // Note: we don’t need to reset the way `markdown-rs` does.
      n,
      "definitionLabel",
      "definitionLabelMarker",
      "definitionLabelString"
    )(h);
  }
  function a(h) {
    return i = xe(
      r.sliceSerialize(r.events[r.events.length - 1][1]).slice(1, -1)
    ), h === 58 ? (e.enter("definitionMarker"), e.consume(h), e.exit("definitionMarker"), o) : n(h);
  }
  function o(h) {
    return G(h) ? Ce(e, s)(h) : s(h);
  }
  function s(h) {
    return on(
      e,
      c,
      // Note: we don’t need to reset the way `markdown-rs` does.
      n,
      "definitionDestination",
      "definitionDestinationLiteral",
      "definitionDestinationLiteralMarker",
      "definitionDestinationRaw",
      "definitionDestinationString"
    )(h);
  }
  function c(h) {
    return e.attempt(Xr, m, m)(h);
  }
  function m(h) {
    return N(h) ? M(e, g, "whitespace")(h) : g(h);
  }
  function g(h) {
    return h === null || T(h) ? (e.exit("definition"), r.parser.defined.push(i), t(h)) : n(h);
  }
}
function Jr(e, t, n) {
  return r;
  function r(a) {
    return G(a) ? Ce(e, i)(a) : n(a);
  }
  function i(a) {
    return cn(
      e,
      u,
      n,
      "definitionTitle",
      "definitionTitleMarker",
      "definitionTitleString"
    )(a);
  }
  function u(a) {
    return N(a) ? M(e, l, "whitespace")(a) : l(a);
  }
  function l(a) {
    return a === null || T(a) ? t(a) : n(a);
  }
}
const Zr = {
  name: "hardBreakEscape",
  tokenize: Kr
};
function Kr(e, t, n) {
  return r;
  function r(u) {
    return e.enter("hardBreakEscape"), e.consume(u), i;
  }
  function i(u) {
    return T(u) ? (e.exit("hardBreakEscape"), t(u)) : n(u);
  }
}
const ei = {
  name: "headingAtx",
  tokenize: ni,
  resolve: ti
};
function ti(e, t) {
  let n = e.length - 2, r = 3, i, u;
  return e[r][1].type === "whitespace" && (r += 2), n - 2 > r && e[n][1].type === "whitespace" && (n -= 2), e[n][1].type === "atxHeadingSequence" && (r === n - 1 || n - 4 > r && e[n - 2][1].type === "whitespace") && (n -= r + 1 === n ? 2 : 4), n > r && (i = {
    type: "atxHeadingText",
    start: e[r][1].start,
    end: e[n][1].end
  }, u = {
    type: "chunkText",
    start: e[r][1].start,
    end: e[n][1].end,
    contentType: "text"
  }, ie(e, r, n - r + 1, [
    ["enter", i, t],
    ["enter", u, t],
    ["exit", u, t],
    ["exit", i, t]
  ])), e;
}
function ni(e, t, n) {
  let r = 0;
  return i;
  function i(c) {
    return e.enter("atxHeading"), u(c);
  }
  function u(c) {
    return e.enter("atxHeadingSequence"), l(c);
  }
  function l(c) {
    return c === 35 && r++ < 6 ? (e.consume(c), l) : c === null || G(c) ? (e.exit("atxHeadingSequence"), a(c)) : n(c);
  }
  function a(c) {
    return c === 35 ? (e.enter("atxHeadingSequence"), o(c)) : c === null || T(c) ? (e.exit("atxHeading"), t(c)) : N(c) ? M(e, a, "whitespace")(c) : (e.enter("atxHeadingText"), s(c));
  }
  function o(c) {
    return c === 35 ? (e.consume(c), o) : (e.exit("atxHeadingSequence"), a(c));
  }
  function s(c) {
    return c === null || c === 35 || G(c) ? (e.exit("atxHeadingText"), a(c)) : (e.consume(c), s);
  }
}
const ri = [
  "address",
  "article",
  "aside",
  "base",
  "basefont",
  "blockquote",
  "body",
  "caption",
  "center",
  "col",
  "colgroup",
  "dd",
  "details",
  "dialog",
  "dir",
  "div",
  "dl",
  "dt",
  "fieldset",
  "figcaption",
  "figure",
  "footer",
  "form",
  "frame",
  "frameset",
  "h1",
  "h2",
  "h3",
  "h4",
  "h5",
  "h6",
  "head",
  "header",
  "hr",
  "html",
  "iframe",
  "legend",
  "li",
  "link",
  "main",
  "menu",
  "menuitem",
  "nav",
  "noframes",
  "ol",
  "optgroup",
  "option",
  "p",
  "param",
  "search",
  "section",
  "summary",
  "table",
  "tbody",
  "td",
  "tfoot",
  "th",
  "thead",
  "title",
  "tr",
  "track",
  "ul"
], Nt = ["pre", "script", "style", "textarea"], ii = {
  name: "htmlFlow",
  tokenize: oi,
  resolveTo: ai,
  concrete: !0
}, ui = {
  tokenize: ci,
  partial: !0
}, li = {
  tokenize: si,
  partial: !0
};
function ai(e) {
  let t = e.length;
  for (; t-- && !(e[t][0] === "enter" && e[t][1].type === "htmlFlow"); )
    ;
  return t > 1 && e[t - 2][1].type === "linePrefix" && (e[t][1].start = e[t - 2][1].start, e[t + 1][1].start = e[t - 2][1].start, e.splice(t - 2, 2)), e;
}
function oi(e, t, n) {
  const r = this;
  let i, u, l, a, o;
  return s;
  function s(p) {
    return c(p);
  }
  function c(p) {
    return e.enter("htmlFlow"), e.enter("htmlFlowData"), e.consume(p), m;
  }
  function m(p) {
    return p === 33 ? (e.consume(p), g) : p === 47 ? (e.consume(p), u = !0, x) : p === 63 ? (e.consume(p), i = 3, r.interrupt ? t : f) : re(p) ? (e.consume(p), l = String.fromCharCode(p), E) : n(p);
  }
  function g(p) {
    return p === 45 ? (e.consume(p), i = 2, h) : p === 91 ? (e.consume(p), i = 5, a = 0, b) : re(p) ? (e.consume(p), i = 4, r.interrupt ? t : f) : n(p);
  }
  function h(p) {
    return p === 45 ? (e.consume(p), r.interrupt ? t : f) : n(p);
  }
  function b(p) {
    const ee = "CDATA[";
    return p === ee.charCodeAt(a++) ? (e.consume(p), a === ee.length ? r.interrupt ? t : A : b) : n(p);
  }
  function x(p) {
    return re(p) ? (e.consume(p), l = String.fromCharCode(p), E) : n(p);
  }
  function E(p) {
    if (p === null || p === 47 || p === 62 || G(p)) {
      const ee = p === 47, me = l.toLowerCase();
      return !ee && !u && Nt.includes(me) ? (i = 1, r.interrupt ? t(p) : A(p)) : ri.includes(l.toLowerCase()) ? (i = 6, ee ? (e.consume(p), k) : r.interrupt ? t(p) : A(p)) : (i = 7, r.interrupt && !r.parser.lazy[r.now().line] ? n(p) : u ? O(p) : S(p));
    }
    return p === 45 || X(p) ? (e.consume(p), l += String.fromCharCode(p), E) : n(p);
  }
  function k(p) {
    return p === 62 ? (e.consume(p), r.interrupt ? t : A) : n(p);
  }
  function O(p) {
    return N(p) ? (e.consume(p), O) : U(p);
  }
  function S(p) {
    return p === 47 ? (e.consume(p), U) : p === 58 || p === 95 || re(p) ? (e.consume(p), D) : N(p) ? (e.consume(p), S) : U(p);
  }
  function D(p) {
    return p === 45 || p === 46 || p === 58 || p === 95 || X(p) ? (e.consume(p), D) : L(p);
  }
  function L(p) {
    return p === 61 ? (e.consume(p), d) : N(p) ? (e.consume(p), L) : S(p);
  }
  function d(p) {
    return p === null || p === 60 || p === 61 || p === 62 || p === 96 ? n(p) : p === 34 || p === 39 ? (e.consume(p), o = p, F) : N(p) ? (e.consume(p), d) : P(p);
  }
  function F(p) {
    return p === o ? (e.consume(p), o = null, _) : p === null || T(p) ? n(p) : (e.consume(p), F);
  }
  function P(p) {
    return p === null || p === 34 || p === 39 || p === 47 || p === 60 || p === 61 || p === 62 || p === 96 || G(p) ? L(p) : (e.consume(p), P);
  }
  function _(p) {
    return p === 47 || p === 62 || N(p) ? S(p) : n(p);
  }
  function U(p) {
    return p === 62 ? (e.consume(p), C) : n(p);
  }
  function C(p) {
    return p === null || T(p) ? A(p) : N(p) ? (e.consume(p), C) : n(p);
  }
  function A(p) {
    return p === 45 && i === 2 ? (e.consume(p), Q) : p === 60 && i === 1 ? (e.consume(p), $) : p === 62 && i === 4 ? (e.consume(p), K) : p === 63 && i === 3 ? (e.consume(p), f) : p === 93 && i === 5 ? (e.consume(p), ue) : T(p) && (i === 6 || i === 7) ? (e.exit("htmlFlowData"), e.check(
      ui,
      le,
      H
    )(p)) : p === null || T(p) ? (e.exit("htmlFlowData"), H(p)) : (e.consume(p), A);
  }
  function H(p) {
    return e.check(
      li,
      q,
      le
    )(p);
  }
  function q(p) {
    return e.enter("lineEnding"), e.consume(p), e.exit("lineEnding"), B;
  }
  function B(p) {
    return p === null || T(p) ? H(p) : (e.enter("htmlFlowData"), A(p));
  }
  function Q(p) {
    return p === 45 ? (e.consume(p), f) : A(p);
  }
  function $(p) {
    return p === 47 ? (e.consume(p), l = "", Z) : A(p);
  }
  function Z(p) {
    if (p === 62) {
      const ee = l.toLowerCase();
      return Nt.includes(ee) ? (e.consume(p), K) : A(p);
    }
    return re(p) && l.length < 8 ? (e.consume(p), l += String.fromCharCode(p), Z) : A(p);
  }
  function ue(p) {
    return p === 93 ? (e.consume(p), f) : A(p);
  }
  function f(p) {
    return p === 62 ? (e.consume(p), K) : p === 45 && i === 2 ? (e.consume(p), f) : A(p);
  }
  function K(p) {
    return p === null || T(p) ? (e.exit("htmlFlowData"), le(p)) : (e.consume(p), K);
  }
  function le(p) {
    return e.exit("htmlFlow"), t(p);
  }
}
function si(e, t, n) {
  const r = this;
  return i;
  function i(l) {
    return T(l) ? (e.enter("lineEnding"), e.consume(l), e.exit("lineEnding"), u) : n(l);
  }
  function u(l) {
    return r.parser.lazy[r.now().line] ? n(l) : t(l);
  }
}
function ci(e, t, n) {
  return r;
  function r(i) {
    return e.enter("lineEnding"), e.consume(i), e.exit("lineEnding"), e.attempt(Pe, t, n);
  }
}
const fi = {
  name: "htmlText",
  tokenize: pi
};
function pi(e, t, n) {
  const r = this;
  let i, u, l;
  return a;
  function a(f) {
    return e.enter("htmlText"), e.enter("htmlTextData"), e.consume(f), o;
  }
  function o(f) {
    return f === 33 ? (e.consume(f), s) : f === 47 ? (e.consume(f), L) : f === 63 ? (e.consume(f), S) : re(f) ? (e.consume(f), P) : n(f);
  }
  function s(f) {
    return f === 45 ? (e.consume(f), c) : f === 91 ? (e.consume(f), u = 0, b) : re(f) ? (e.consume(f), O) : n(f);
  }
  function c(f) {
    return f === 45 ? (e.consume(f), h) : n(f);
  }
  function m(f) {
    return f === null ? n(f) : f === 45 ? (e.consume(f), g) : T(f) ? (l = m, $(f)) : (e.consume(f), m);
  }
  function g(f) {
    return f === 45 ? (e.consume(f), h) : m(f);
  }
  function h(f) {
    return f === 62 ? Q(f) : f === 45 ? g(f) : m(f);
  }
  function b(f) {
    const K = "CDATA[";
    return f === K.charCodeAt(u++) ? (e.consume(f), u === K.length ? x : b) : n(f);
  }
  function x(f) {
    return f === null ? n(f) : f === 93 ? (e.consume(f), E) : T(f) ? (l = x, $(f)) : (e.consume(f), x);
  }
  function E(f) {
    return f === 93 ? (e.consume(f), k) : x(f);
  }
  function k(f) {
    return f === 62 ? Q(f) : f === 93 ? (e.consume(f), k) : x(f);
  }
  function O(f) {
    return f === null || f === 62 ? Q(f) : T(f) ? (l = O, $(f)) : (e.consume(f), O);
  }
  function S(f) {
    return f === null ? n(f) : f === 63 ? (e.consume(f), D) : T(f) ? (l = S, $(f)) : (e.consume(f), S);
  }
  function D(f) {
    return f === 62 ? Q(f) : S(f);
  }
  function L(f) {
    return re(f) ? (e.consume(f), d) : n(f);
  }
  function d(f) {
    return f === 45 || X(f) ? (e.consume(f), d) : F(f);
  }
  function F(f) {
    return T(f) ? (l = F, $(f)) : N(f) ? (e.consume(f), F) : Q(f);
  }
  function P(f) {
    return f === 45 || X(f) ? (e.consume(f), P) : f === 47 || f === 62 || G(f) ? _(f) : n(f);
  }
  function _(f) {
    return f === 47 ? (e.consume(f), Q) : f === 58 || f === 95 || re(f) ? (e.consume(f), U) : T(f) ? (l = _, $(f)) : N(f) ? (e.consume(f), _) : Q(f);
  }
  function U(f) {
    return f === 45 || f === 46 || f === 58 || f === 95 || X(f) ? (e.consume(f), U) : C(f);
  }
  function C(f) {
    return f === 61 ? (e.consume(f), A) : T(f) ? (l = C, $(f)) : N(f) ? (e.consume(f), C) : _(f);
  }
  function A(f) {
    return f === null || f === 60 || f === 61 || f === 62 || f === 96 ? n(f) : f === 34 || f === 39 ? (e.consume(f), i = f, H) : T(f) ? (l = A, $(f)) : N(f) ? (e.consume(f), A) : (e.consume(f), q);
  }
  function H(f) {
    return f === i ? (e.consume(f), i = void 0, B) : f === null ? n(f) : T(f) ? (l = H, $(f)) : (e.consume(f), H);
  }
  function q(f) {
    return f === null || f === 34 || f === 39 || f === 60 || f === 61 || f === 96 ? n(f) : f === 47 || f === 62 || G(f) ? _(f) : (e.consume(f), q);
  }
  function B(f) {
    return f === 47 || f === 62 || G(f) ? _(f) : n(f);
  }
  function Q(f) {
    return f === 62 ? (e.consume(f), e.exit("htmlTextData"), e.exit("htmlText"), t) : n(f);
  }
  function $(f) {
    return e.exit("htmlTextData"), e.enter("lineEnding"), e.consume(f), e.exit("lineEnding"), Z;
  }
  function Z(f) {
    return N(f) ? M(
      e,
      ue,
      "linePrefix",
      r.parser.constructs.disable.null.includes("codeIndented") ? void 0 : 4
    )(f) : ue(f);
  }
  function ue(f) {
    return e.enter("htmlTextData"), l(f);
  }
}
const tt = {
  name: "labelEnd",
  tokenize: xi,
  resolveTo: yi,
  resolveAll: di
}, hi = {
  tokenize: ki
}, mi = {
  tokenize: wi
}, gi = {
  tokenize: bi
};
function di(e) {
  let t = -1;
  for (; ++t < e.length; ) {
    const n = e[t][1];
    (n.type === "labelImage" || n.type === "labelLink" || n.type === "labelEnd") && (e.splice(t + 1, n.type === "labelImage" ? 4 : 2), n.type = "data", t++);
  }
  return e;
}
function yi(e, t) {
  let n = e.length, r = 0, i, u, l, a;
  for (; n--; )
    if (i = e[n][1], u) {
      if (i.type === "link" || i.type === "labelLink" && i._inactive)
        break;
      e[n][0] === "enter" && i.type === "labelLink" && (i._inactive = !0);
    } else if (l) {
      if (e[n][0] === "enter" && (i.type === "labelImage" || i.type === "labelLink") && !i._balanced && (u = n, i.type !== "labelLink")) {
        r = 2;
        break;
      }
    } else
      i.type === "labelEnd" && (l = n);
  const o = {
    type: e[u][1].type === "labelLink" ? "link" : "image",
    start: Object.assign({}, e[u][1].start),
    end: Object.assign({}, e[e.length - 1][1].end)
  }, s = {
    type: "label",
    start: Object.assign({}, e[u][1].start),
    end: Object.assign({}, e[l][1].end)
  }, c = {
    type: "labelText",
    start: Object.assign({}, e[u + r + 2][1].end),
    end: Object.assign({}, e[l - 2][1].start)
  };
  return a = [
    ["enter", o, t],
    ["enter", s, t]
  ], a = Y(a, e.slice(u + 1, u + r + 3)), a = Y(a, [["enter", c, t]]), a = Y(
    a,
    et(
      t.parser.constructs.insideSpan.null,
      e.slice(u + r + 4, l - 3),
      t
    )
  ), a = Y(a, [
    ["exit", c, t],
    e[l - 2],
    e[l - 1],
    ["exit", s, t]
  ]), a = Y(a, e.slice(l + 1)), a = Y(a, [["exit", o, t]]), ie(e, u, e.length, a), e;
}
function xi(e, t, n) {
  const r = this;
  let i = r.events.length, u, l;
  for (; i--; )
    if ((r.events[i][1].type === "labelImage" || r.events[i][1].type === "labelLink") && !r.events[i][1]._balanced) {
      u = r.events[i][1];
      break;
    }
  return a;
  function a(g) {
    return u ? u._inactive ? m(g) : (l = r.parser.defined.includes(
      xe(
        r.sliceSerialize({
          start: u.end,
          end: r.now()
        })
      )
    ), e.enter("labelEnd"), e.enter("labelMarker"), e.consume(g), e.exit("labelMarker"), e.exit("labelEnd"), o) : n(g);
  }
  function o(g) {
    return g === 40 ? e.attempt(
      hi,
      c,
      l ? c : m
    )(g) : g === 91 ? e.attempt(
      mi,
      c,
      l ? s : m
    )(g) : l ? c(g) : m(g);
  }
  function s(g) {
    return e.attempt(
      gi,
      c,
      m
    )(g);
  }
  function c(g) {
    return t(g);
  }
  function m(g) {
    return u._balanced = !0, n(g);
  }
}
function ki(e, t, n) {
  return r;
  function r(m) {
    return e.enter("resource"), e.enter("resourceMarker"), e.consume(m), e.exit("resourceMarker"), i;
  }
  function i(m) {
    return G(m) ? Ce(e, u)(m) : u(m);
  }
  function u(m) {
    return m === 41 ? c(m) : on(
      e,
      l,
      a,
      "resourceDestination",
      "resourceDestinationLiteral",
      "resourceDestinationLiteralMarker",
      "resourceDestinationRaw",
      "resourceDestinationString",
      32
    )(m);
  }
  function l(m) {
    return G(m) ? Ce(e, o)(m) : c(m);
  }
  function a(m) {
    return n(m);
  }
  function o(m) {
    return m === 34 || m === 39 || m === 40 ? cn(
      e,
      s,
      n,
      "resourceTitle",
      "resourceTitleMarker",
      "resourceTitleString"
    )(m) : c(m);
  }
  function s(m) {
    return G(m) ? Ce(e, c)(m) : c(m);
  }
  function c(m) {
    return m === 41 ? (e.enter("resourceMarker"), e.consume(m), e.exit("resourceMarker"), e.exit("resource"), t) : n(m);
  }
}
function wi(e, t, n) {
  const r = this;
  return i;
  function i(a) {
    return sn.call(
      r,
      e,
      u,
      l,
      "reference",
      "referenceMarker",
      "referenceString"
    )(a);
  }
  function u(a) {
    return r.parser.defined.includes(
      xe(
        r.sliceSerialize(r.events[r.events.length - 1][1]).slice(1, -1)
      )
    ) ? t(a) : n(a);
  }
  function l(a) {
    return n(a);
  }
}
function bi(e, t, n) {
  return r;
  function r(u) {
    return e.enter("reference"), e.enter("referenceMarker"), e.consume(u), e.exit("referenceMarker"), i;
  }
  function i(u) {
    return u === 93 ? (e.enter("referenceMarker"), e.consume(u), e.exit("referenceMarker"), e.exit("reference"), t) : n(u);
  }
}
const Ei = {
  name: "labelStartImage",
  tokenize: Si,
  resolveAll: tt.resolveAll
};
function Si(e, t, n) {
  const r = this;
  return i;
  function i(a) {
    return e.enter("labelImage"), e.enter("labelImageMarker"), e.consume(a), e.exit("labelImageMarker"), u;
  }
  function u(a) {
    return a === 91 ? (e.enter("labelMarker"), e.consume(a), e.exit("labelMarker"), e.exit("labelImage"), l) : n(a);
  }
  function l(a) {
    return a === 94 && "_hiddenFootnoteSupport" in r.parser.constructs ? n(a) : t(a);
  }
}
const Ci = {
  name: "labelStartLink",
  tokenize: Ai,
  resolveAll: tt.resolveAll
};
function Ai(e, t, n) {
  const r = this;
  return i;
  function i(l) {
    return e.enter("labelLink"), e.enter("labelMarker"), e.consume(l), e.exit("labelMarker"), e.exit("labelLink"), u;
  }
  function u(l) {
    return l === 94 && "_hiddenFootnoteSupport" in r.parser.constructs ? n(l) : t(l);
  }
}
const Ve = {
  name: "lineEnding",
  tokenize: Fi
};
function Fi(e, t) {
  return n;
  function n(r) {
    return e.enter("lineEnding"), e.consume(r), e.exit("lineEnding"), M(e, t, "linePrefix");
  }
}
const ze = {
  name: "thematicBreak",
  tokenize: Ii
};
function Ii(e, t, n) {
  let r = 0, i;
  return u;
  function u(s) {
    return e.enter("thematicBreak"), l(s);
  }
  function l(s) {
    return i = s, a(s);
  }
  function a(s) {
    return s === i ? (e.enter("thematicBreakSequence"), o(s)) : r >= 3 && (s === null || T(s)) ? (e.exit("thematicBreak"), t(s)) : n(s);
  }
  function o(s) {
    return s === i ? (e.consume(s), r++, o) : (e.exit("thematicBreakSequence"), N(s) ? M(e, a, "whitespace")(s) : a(s));
  }
}
const W = {
  name: "list",
  tokenize: Oi,
  continuation: {
    tokenize: Pi
  },
  exit: Li
}, Ti = {
  tokenize: Bi,
  partial: !0
}, zi = {
  tokenize: Di,
  partial: !0
};
function Oi(e, t, n) {
  const r = this, i = r.events[r.events.length - 1];
  let u = i && i[1].type === "linePrefix" ? i[2].sliceSerialize(i[1], !0).length : 0, l = 0;
  return a;
  function a(h) {
    const b = r.containerState.type || (h === 42 || h === 43 || h === 45 ? "listUnordered" : "listOrdered");
    if (b === "listUnordered" ? !r.containerState.marker || h === r.containerState.marker : Ge(h)) {
      if (r.containerState.type || (r.containerState.type = b, e.enter(b, {
        _container: !0
      })), b === "listUnordered")
        return e.enter("listItemPrefix"), h === 42 || h === 45 ? e.check(ze, n, s)(h) : s(h);
      if (!r.interrupt || h === 49)
        return e.enter("listItemPrefix"), e.enter("listItemValue"), o(h);
    }
    return n(h);
  }
  function o(h) {
    return Ge(h) && ++l < 10 ? (e.consume(h), o) : (!r.interrupt || l < 2) && (r.containerState.marker ? h === r.containerState.marker : h === 41 || h === 46) ? (e.exit("listItemValue"), s(h)) : n(h);
  }
  function s(h) {
    return e.enter("listItemMarker"), e.consume(h), e.exit("listItemMarker"), r.containerState.marker = r.containerState.marker || h, e.check(
      Pe,
      // Can’t be empty when interrupting.
      r.interrupt ? n : c,
      e.attempt(
        Ti,
        g,
        m
      )
    );
  }
  function c(h) {
    return r.containerState.initialBlankLine = !0, u++, g(h);
  }
  function m(h) {
    return N(h) ? (e.enter("listItemPrefixWhitespace"), e.consume(h), e.exit("listItemPrefixWhitespace"), g) : n(h);
  }
  function g(h) {
    return r.containerState.size = u + r.sliceSerialize(e.exit("listItemPrefix"), !0).length, t(h);
  }
}
function Pi(e, t, n) {
  const r = this;
  return r.containerState._closeFlow = void 0, e.check(Pe, i, u);
  function i(a) {
    return r.containerState.furtherBlankLines = r.containerState.furtherBlankLines || r.containerState.initialBlankLine, M(
      e,
      t,
      "listItemIndent",
      r.containerState.size + 1
    )(a);
  }
  function u(a) {
    return r.containerState.furtherBlankLines || !N(a) ? (r.containerState.furtherBlankLines = void 0, r.containerState.initialBlankLine = void 0, l(a)) : (r.containerState.furtherBlankLines = void 0, r.containerState.initialBlankLine = void 0, e.attempt(zi, t, l)(a));
  }
  function l(a) {
    return r.containerState._closeFlow = !0, r.interrupt = void 0, M(
      e,
      e.attempt(W, t, n),
      "linePrefix",
      r.parser.constructs.disable.null.includes("codeIndented") ? void 0 : 4
    )(a);
  }
}
function Di(e, t, n) {
  const r = this;
  return M(
    e,
    i,
    "listItemIndent",
    r.containerState.size + 1
  );
  function i(u) {
    const l = r.events[r.events.length - 1];
    return l && l[1].type === "listItemIndent" && l[2].sliceSerialize(l[1], !0).length === r.containerState.size ? t(u) : n(u);
  }
}
function Li(e) {
  e.exit(this.containerState.type);
}
function Bi(e, t, n) {
  const r = this;
  return M(
    e,
    i,
    "listItemPrefixWhitespace",
    r.parser.constructs.disable.null.includes("codeIndented") ? void 0 : 4 + 1
  );
  function i(u) {
    const l = r.events[r.events.length - 1];
    return !N(u) && l && l[1].type === "listItemPrefixWhitespace" ? t(u) : n(u);
  }
}
const _t = {
  name: "setextUnderline",
  tokenize: _i,
  resolveTo: Ni
};
function Ni(e, t) {
  let n = e.length, r, i, u;
  for (; n--; )
    if (e[n][0] === "enter") {
      if (e[n][1].type === "content") {
        r = n;
        break;
      }
      e[n][1].type === "paragraph" && (i = n);
    } else
      e[n][1].type === "content" && e.splice(n, 1), !u && e[n][1].type === "definition" && (u = n);
  const l = {
    type: "setextHeading",
    start: Object.assign({}, e[i][1].start),
    end: Object.assign({}, e[e.length - 1][1].end)
  };
  return e[i][1].type = "setextHeadingText", u ? (e.splice(i, 0, ["enter", l, t]), e.splice(u + 1, 0, ["exit", e[r][1], t]), e[r][1].end = Object.assign({}, e[u][1].end)) : e[r][1] = l, e.push(["exit", l, t]), e;
}
function _i(e, t, n) {
  const r = this;
  let i;
  return u;
  function u(s) {
    let c = r.events.length, m;
    for (; c--; )
      if (r.events[c][1].type !== "lineEnding" && r.events[c][1].type !== "linePrefix" && r.events[c][1].type !== "content") {
        m = r.events[c][1].type === "paragraph";
        break;
      }
    return !r.parser.lazy[r.now().line] && (r.interrupt || m) ? (e.enter("setextHeadingLine"), i = s, l(s)) : n(s);
  }
  function l(s) {
    return e.enter("setextHeadingLineSequence"), a(s);
  }
  function a(s) {
    return s === i ? (e.consume(s), a) : (e.exit("setextHeadingLineSequence"), N(s) ? M(e, o, "lineSuffix")(s) : o(s));
  }
  function o(s) {
    return s === null || T(s) ? (e.exit("setextHeadingLine"), t(s)) : n(s);
  }
}
const Ri = {
  tokenize: ji
};
function ji(e) {
  const t = this, n = e.attempt(
    // Try to parse a blank line.
    Pe,
    r,
    // Try to parse initial flow (essentially, only code).
    e.attempt(
      this.parser.constructs.flowInitial,
      i,
      M(
        e,
        e.attempt(
          this.parser.constructs.flow,
          i,
          e.attempt(Ur, i)
        ),
        "linePrefix"
      )
    )
  );
  return n;
  function r(u) {
    if (u === null) {
      e.consume(u);
      return;
    }
    return e.enter("lineEndingBlank"), e.consume(u), e.exit("lineEndingBlank"), t.currentConstruct = void 0, n;
  }
  function i(u) {
    if (u === null) {
      e.consume(u);
      return;
    }
    return e.enter("lineEnding"), e.consume(u), e.exit("lineEnding"), t.currentConstruct = void 0, n;
  }
}
const Mi = {
  resolveAll: pn()
}, Hi = fn("string"), qi = fn("text");
function fn(e) {
  return {
    tokenize: t,
    resolveAll: pn(
      e === "text" ? Vi : void 0
    )
  };
  function t(n) {
    const r = this, i = this.parser.constructs[e], u = n.attempt(i, l, a);
    return l;
    function l(c) {
      return s(c) ? u(c) : a(c);
    }
    function a(c) {
      if (c === null) {
        n.consume(c);
        return;
      }
      return n.enter("data"), n.consume(c), o;
    }
    function o(c) {
      return s(c) ? (n.exit("data"), u(c)) : (n.consume(c), o);
    }
    function s(c) {
      if (c === null)
        return !0;
      const m = i[c];
      let g = -1;
      if (m)
        for (; ++g < m.length; ) {
          const h = m[g];
          if (!h.previous || h.previous.call(r, r.previous))
            return !0;
        }
      return !1;
    }
  }
}
function pn(e) {
  return t;
  function t(n, r) {
    let i = -1, u;
    for (; ++i <= n.length; )
      u === void 0 ? n[i] && n[i][1].type === "data" && (u = i, i++) : (!n[i] || n[i][1].type !== "data") && (i !== u + 2 && (n[u][1].end = n[i - 1][1].end, n.splice(u + 2, i - u - 2), i = u + 2), u = void 0);
    return e ? e(n, r) : n;
  }
}
function Vi(e, t) {
  let n = 0;
  for (; ++n <= e.length; )
    if ((n === e.length || e[n][1].type === "lineEnding") && e[n - 1][1].type === "data") {
      const r = e[n - 1][1], i = t.sliceStream(r);
      let u = i.length, l = -1, a = 0, o;
      for (; u--; ) {
        const s = i[u];
        if (typeof s == "string") {
          for (l = s.length; s.charCodeAt(l - 1) === 32; )
            a++, l--;
          if (l)
            break;
          l = -1;
        } else if (s === -2)
          o = !0, a++;
        else if (s !== -1) {
          u++;
          break;
        }
      }
      if (a) {
        const s = {
          type: n === e.length || o || a < 2 ? "lineSuffix" : "hardBreakTrailing",
          start: {
            line: r.end.line,
            column: r.end.column - a,
            offset: r.end.offset - a,
            _index: r.start._index + u,
            _bufferIndex: u ? l : r.start._bufferIndex + l
          },
          end: Object.assign({}, r.end)
        };
        r.end = Object.assign({}, s.start), r.start.offset === r.end.offset ? Object.assign(r, s) : (e.splice(
          n,
          0,
          ["enter", s, t],
          ["exit", s, t]
        ), n += 2);
      }
      n++;
    }
  return e;
}
function Ui(e, t, n) {
  let r = Object.assign(
    n ? Object.assign({}, n) : {
      line: 1,
      column: 1,
      offset: 0
    },
    {
      _index: 0,
      _bufferIndex: -1
    }
  );
  const i = {}, u = [];
  let l = [], a = [];
  const o = {
    consume: O,
    enter: S,
    exit: D,
    attempt: F(L),
    check: F(d),
    interrupt: F(d, {
      interrupt: !0
    })
  }, s = {
    previous: null,
    code: null,
    containerState: {},
    events: [],
    parser: e,
    sliceStream: h,
    sliceSerialize: g,
    now: b,
    defineSkip: x,
    write: m
  };
  let c = t.tokenize.call(s, o);
  return t.resolveAll && u.push(t), s;
  function m(C) {
    return l = Y(l, C), E(), l[l.length - 1] !== null ? [] : (P(t, 0), s.events = et(u, s.events, s), s.events);
  }
  function g(C, A) {
    return vi(h(C), A);
  }
  function h(C) {
    return $i(l, C);
  }
  function b() {
    const { line: C, column: A, offset: H, _index: q, _bufferIndex: B } = r;
    return {
      line: C,
      column: A,
      offset: H,
      _index: q,
      _bufferIndex: B
    };
  }
  function x(C) {
    i[C.line] = C.column, U();
  }
  function E() {
    let C;
    for (; r._index < l.length; ) {
      const A = l[r._index];
      if (typeof A == "string")
        for (C = r._index, r._bufferIndex < 0 && (r._bufferIndex = 0); r._index === C && r._bufferIndex < A.length; )
          k(A.charCodeAt(r._bufferIndex));
      else
        k(A);
    }
  }
  function k(C) {
    c = c(C);
  }
  function O(C) {
    T(C) ? (r.line++, r.column = 1, r.offset += C === -3 ? 2 : 1, U()) : C !== -1 && (r.column++, r.offset++), r._bufferIndex < 0 ? r._index++ : (r._bufferIndex++, r._bufferIndex === l[r._index].length && (r._bufferIndex = -1, r._index++)), s.previous = C;
  }
  function S(C, A) {
    const H = A || {};
    return H.type = C, H.start = b(), s.events.push(["enter", H, s]), a.push(H), H;
  }
  function D(C) {
    const A = a.pop();
    return A.end = b(), s.events.push(["exit", A, s]), A;
  }
  function L(C, A) {
    P(C, A.from);
  }
  function d(C, A) {
    A.restore();
  }
  function F(C, A) {
    return H;
    function H(q, B, Q) {
      let $, Z, ue, f;
      return Array.isArray(q) ? le(q) : "tokenize" in q ? (
        // @ts-expect-error Looks like a construct.
        le([q])
      ) : K(q);
      function K(v) {
        return ge;
        function ge(se) {
          const de = se !== null && v[se], ye = se !== null && v.null, De = [
            // To do: add more extension tests.
            /* c8 ignore next 2 */
            ...Array.isArray(de) ? de : de ? [de] : [],
            ...Array.isArray(ye) ? ye : ye ? [ye] : []
          ];
          return le(De)(se);
        }
      }
      function le(v) {
        return $ = v, Z = 0, v.length === 0 ? Q : p(v[Z]);
      }
      function p(v) {
        return ge;
        function ge(se) {
          return f = _(), ue = v, v.partial || (s.currentConstruct = v), v.name && s.parser.constructs.disable.null.includes(v.name) ? me() : v.tokenize.call(
            // If we do have fields, create an object w/ `context` as its
            // prototype.
            // This allows a “live binding”, which is needed for `interrupt`.
            A ? Object.assign(Object.create(s), A) : s,
            o,
            ee,
            me
          )(se);
        }
      }
      function ee(v) {
        return C(ue, f), B;
      }
      function me(v) {
        return f.restore(), ++Z < $.length ? p($[Z]) : Q;
      }
    }
  }
  function P(C, A) {
    C.resolveAll && !u.includes(C) && u.push(C), C.resolve && ie(
      s.events,
      A,
      s.events.length - A,
      C.resolve(s.events.slice(A), s)
    ), C.resolveTo && (s.events = C.resolveTo(s.events, s));
  }
  function _() {
    const C = b(), A = s.previous, H = s.currentConstruct, q = s.events.length, B = Array.from(a);
    return {
      restore: Q,
      from: q
    };
    function Q() {
      r = C, s.previous = A, s.currentConstruct = H, s.events.length = q, a = B, U();
    }
  }
  function U() {
    r.line in i && r.column < 2 && (r.column = i[r.line], r.offset += i[r.line] - 1);
  }
}
function $i(e, t) {
  const n = t.start._index, r = t.start._bufferIndex, i = t.end._index, u = t.end._bufferIndex;
  let l;
  if (n === i)
    l = [e[n].slice(r, u)];
  else {
    if (l = e.slice(n, i), r > -1) {
      const a = l[0];
      typeof a == "string" ? l[0] = a.slice(r) : l.shift();
    }
    u > 0 && l.push(e[i].slice(0, u));
  }
  return l;
}
function vi(e, t) {
  let n = -1;
  const r = [];
  let i;
  for (; ++n < e.length; ) {
    const u = e[n];
    let l;
    if (typeof u == "string")
      l = u;
    else
      switch (u) {
        case -5: {
          l = "\r";
          break;
        }
        case -4: {
          l = `
`;
          break;
        }
        case -3: {
          l = `\r
`;
          break;
        }
        case -2: {
          l = t ? " " : "	";
          break;
        }
        case -1: {
          if (!t && i)
            continue;
          l = " ";
          break;
        }
        default:
          l = String.fromCharCode(u);
      }
    i = u === -2, r.push(l);
  }
  return r.join("");
}
const Qi = {
  42: W,
  43: W,
  45: W,
  48: W,
  49: W,
  50: W,
  51: W,
  52: W,
  53: W,
  54: W,
  55: W,
  56: W,
  57: W,
  62: rn
}, Wi = {
  91: Gr
}, Gi = {
  [-2]: qe,
  [-1]: qe,
  32: qe
}, Xi = {
  35: ei,
  42: ze,
  45: [_t, ze],
  60: ii,
  61: _t,
  95: ze,
  96: Bt,
  126: Bt
}, Yi = {
  38: ln,
  92: un
}, Ji = {
  [-5]: Ve,
  [-4]: Ve,
  [-3]: Ve,
  33: Ei,
  38: ln,
  42: Xe,
  60: [Ar, fi],
  91: Ci,
  92: [Zr, un],
  93: tt,
  95: Xe,
  96: jr
}, Zi = {
  null: [Xe, Mi]
}, Ki = {
  null: [42, 95]
}, eu = {
  null: []
}, tu = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  attentionMarkers: Ki,
  contentInitial: Wi,
  disable: eu,
  document: Qi,
  flow: Xi,
  flowInitial: Gi,
  insideSpan: Zi,
  string: Yi,
  text: Ji
}, Symbol.toStringTag, { value: "Module" }));
function nu(e) {
  const n = (
    /** @type {FullNormalizedExtension} */
    sr([tu, ...(e || {}).extensions || []])
  ), r = {
    defined: [],
    lazy: {},
    constructs: n,
    content: i(xr),
    document: i(wr),
    flow: i(Ri),
    string: i(Hi),
    text: i(qi)
  };
  return r;
  function i(u) {
    return l;
    function l(a) {
      return Ui(r, u, a);
    }
  }
}
const Rt = /[\0\t\n\r]/g;
function ru() {
  let e = 1, t = "", n = !0, r;
  return i;
  function i(u, l, a) {
    const o = [];
    let s, c, m, g, h;
    for (u = t + u.toString(l), m = 0, t = "", n && (u.charCodeAt(0) === 65279 && m++, n = void 0); m < u.length; ) {
      if (Rt.lastIndex = m, s = Rt.exec(u), g = s && s.index !== void 0 ? s.index : u.length, h = u.charCodeAt(g), !s) {
        t = u.slice(m);
        break;
      }
      if (h === 10 && m === g && r)
        o.push(-3), r = void 0;
      else
        switch (r && (o.push(-5), r = void 0), m < g && (o.push(u.slice(m, g)), e += g - m), h) {
          case 0: {
            o.push(65533), e++;
            break;
          }
          case 9: {
            for (c = Math.ceil(e / 4) * 4, o.push(-2); e++ < c; )
              o.push(-1);
            break;
          }
          case 10: {
            o.push(-4), e = 1;
            break;
          }
          default:
            r = !0, e = 1;
        }
      m = g + 1;
    }
    return a && (r && o.push(-5), t && o.push(t), o.push(null)), o;
  }
}
function iu(e) {
  for (; !an(e); )
    ;
  return e;
}
function hn(e, t) {
  const n = Number.parseInt(e, t);
  return (
    // C0 except for HT, LF, FF, CR, space.
    n < 9 || n === 11 || n > 13 && n < 32 || // Control character (DEL) of C0, and C1 controls.
    n > 126 && n < 160 || // Lone high surrogates and low surrogates.
    n > 55295 && n < 57344 || // Noncharacters.
    n > 64975 && n < 65008 || (n & 65535) === 65535 || (n & 65535) === 65534 || // Out of range
    n > 1114111 ? "�" : String.fromCharCode(n)
  );
}
const uu = /\\([!-/:-@[-`{-~])|&(#(?:\d{1,7}|x[\da-f]{1,6})|[\da-z]{1,31});/gi;
function lu(e) {
  return e.replace(uu, au);
}
function au(e, t, n) {
  if (t)
    return t;
  if (n.charCodeAt(0) === 35) {
    const i = n.charCodeAt(1), u = i === 120 || i === 88;
    return hn(n.slice(u ? 2 : 1), u ? 16 : 10);
  }
  return Ke(n) || e;
}
const mn = {}.hasOwnProperty, ou = (
  /**
   * @type {(
   *   ((value: Value, encoding: Encoding, options?: Options | null | undefined) => Root) &
   *   ((value: Value, options?: Options | null | undefined) => Root)
   * )}
   */
  /**
   * @param {Value} value
   * @param {Encoding | Options | null | undefined} [encoding]
   * @param {Options | null | undefined} [options]
   * @returns {Root}
   */
  function(e, t, n) {
    return typeof t != "string" && (n = t, t = void 0), su(n)(
      iu(
        nu(n).document().write(ru()(e, t, !0))
      )
    );
  }
);
function su(e) {
  const t = {
    transforms: [],
    canContainEols: ["emphasis", "fragment", "heading", "paragraph", "strong"],
    enter: {
      autolink: a(ot),
      autolinkProtocol: C,
      autolinkEmail: C,
      atxHeading: a(ut),
      blockQuote: a(De),
      characterEscape: C,
      characterReference: C,
      codeFenced: a(it),
      codeFencedFenceInfo: o,
      codeFencedFenceMeta: o,
      codeIndented: a(it, o),
      codeText: a(Sn, o),
      codeTextData: C,
      data: C,
      codeFlowValue: C,
      definition: a(Cn),
      definitionDestinationString: o,
      definitionLabelString: o,
      definitionTitleString: o,
      emphasis: a(An),
      hardBreakEscape: a(lt),
      hardBreakTrailing: a(lt),
      htmlFlow: a(at, o),
      htmlFlowData: C,
      htmlText: a(at, o),
      htmlTextData: C,
      image: a(Fn),
      label: o,
      link: a(ot),
      listItem: a(In),
      listItemValue: b,
      listOrdered: a(st, h),
      listUnordered: a(st),
      paragraph: a(Tn),
      reference: me,
      referenceString: o,
      resourceDestinationString: o,
      resourceTitleString: o,
      setextHeading: a(ut),
      strong: a(zn),
      thematicBreak: a(Pn)
    },
    exit: {
      atxHeading: c(),
      atxHeadingSequence: F,
      autolink: c(),
      autolinkEmail: ye,
      autolinkProtocol: de,
      blockQuote: c(),
      characterEscapeValue: A,
      characterReferenceMarkerHexadecimal: ge,
      characterReferenceMarkerNumeric: ge,
      characterReferenceValue: se,
      codeFenced: c(O),
      codeFencedFence: k,
      codeFencedFenceInfo: x,
      codeFencedFenceMeta: E,
      codeFlowValue: A,
      codeIndented: c(S),
      codeText: c($),
      codeTextData: A,
      data: A,
      definition: c(),
      definitionDestinationString: d,
      definitionLabelString: D,
      definitionTitleString: L,
      emphasis: c(),
      hardBreakEscape: c(q),
      hardBreakTrailing: c(q),
      htmlFlow: c(B),
      htmlFlowData: A,
      htmlText: c(Q),
      htmlTextData: A,
      image: c(ue),
      label: K,
      labelText: f,
      lineEnding: H,
      link: c(Z),
      listItem: c(),
      listOrdered: c(),
      listUnordered: c(),
      paragraph: c(),
      referenceString: v,
      resourceDestinationString: le,
      resourceTitleString: p,
      resource: ee,
      setextHeading: c(U),
      setextHeadingLineSequence: _,
      setextHeadingText: P,
      strong: c(),
      thematicBreak: c()
    }
  };
  gn(t, (e || {}).mdastExtensions || []);
  const n = {};
  return r;
  function r(y) {
    let w = {
      type: "root",
      children: []
    };
    const I = {
      stack: [w],
      tokenStack: [],
      config: t,
      enter: s,
      exit: m,
      buffer: o,
      resume: g,
      setData: u,
      getData: l
    }, R = [];
    let j = -1;
    for (; ++j < y.length; )
      if (y[j][1].type === "listOrdered" || y[j][1].type === "listUnordered")
        if (y[j][0] === "enter")
          R.push(j);
        else {
          const te = R.pop();
          j = i(y, te, j);
        }
    for (j = -1; ++j < y.length; ) {
      const te = t[y[j][0]];
      mn.call(te, y[j][1].type) && te[y[j][1].type].call(
        Object.assign(
          {
            sliceSerialize: y[j][2].sliceSerialize
          },
          I
        ),
        y[j][1]
      );
    }
    if (I.tokenStack.length > 0) {
      const te = I.tokenStack[I.tokenStack.length - 1];
      (te[1] || jt).call(I, void 0, te[0]);
    }
    for (w.position = {
      start: fe(
        y.length > 0 ? y[0][1].start : {
          line: 1,
          column: 1,
          offset: 0
        }
      ),
      end: fe(
        y.length > 0 ? y[y.length - 2][1].end : {
          line: 1,
          column: 1,
          offset: 0
        }
      )
    }, j = -1; ++j < t.transforms.length; )
      w = t.transforms[j](w) || w;
    return w;
  }
  function i(y, w, I) {
    let R = w - 1, j = -1, te = !1, ce, ae, we, be;
    for (; ++R <= I; ) {
      const V = y[R];
      if (V[1].type === "listUnordered" || V[1].type === "listOrdered" || V[1].type === "blockQuote" ? (V[0] === "enter" ? j++ : j--, be = void 0) : V[1].type === "lineEndingBlank" ? V[0] === "enter" && (ce && !be && !j && !we && (we = R), be = void 0) : V[1].type === "linePrefix" || V[1].type === "listItemValue" || V[1].type === "listItemMarker" || V[1].type === "listItemPrefix" || V[1].type === "listItemPrefixWhitespace" || (be = void 0), !j && V[0] === "enter" && V[1].type === "listItemPrefix" || j === -1 && V[0] === "exit" && (V[1].type === "listUnordered" || V[1].type === "listOrdered")) {
        if (ce) {
          let Le = R;
          for (ae = void 0; Le--; ) {
            const oe = y[Le];
            if (oe[1].type === "lineEnding" || oe[1].type === "lineEndingBlank") {
              if (oe[0] === "exit")
                continue;
              ae && (y[ae][1].type = "lineEndingBlank", te = !0), oe[1].type = "lineEnding", ae = Le;
            } else if (!(oe[1].type === "linePrefix" || oe[1].type === "blockQuotePrefix" || oe[1].type === "blockQuotePrefixWhitespace" || oe[1].type === "blockQuoteMarker" || oe[1].type === "listItemIndent"))
              break;
          }
          we && (!ae || we < ae) && (ce._spread = !0), ce.end = Object.assign(
            {},
            ae ? y[ae][1].start : V[1].end
          ), y.splice(ae || R, 0, ["exit", ce, V[2]]), R++, I++;
        }
        V[1].type === "listItemPrefix" && (ce = {
          type: "listItem",
          _spread: !1,
          start: Object.assign({}, V[1].start),
          // @ts-expect-error: we’ll add `end` in a second.
          end: void 0
        }, y.splice(R, 0, ["enter", ce, V[2]]), R++, I++, we = void 0, be = !0);
      }
    }
    return y[w][1]._spread = te, I;
  }
  function u(y, w) {
    n[y] = w;
  }
  function l(y) {
    return n[y];
  }
  function a(y, w) {
    return I;
    function I(R) {
      s.call(this, y(R), R), w && w.call(this, R);
    }
  }
  function o() {
    this.stack.push({
      type: "fragment",
      children: []
    });
  }
  function s(y, w, I) {
    return this.stack[this.stack.length - 1].children.push(y), this.stack.push(y), this.tokenStack.push([w, I]), y.position = {
      start: fe(w.start)
    }, y;
  }
  function c(y) {
    return w;
    function w(I) {
      y && y.call(this, I), m.call(this, I);
    }
  }
  function m(y, w) {
    const I = this.stack.pop(), R = this.tokenStack.pop();
    if (R)
      R[0].type !== y.type && (w ? w.call(this, y, R[0]) : (R[1] || jt).call(this, y, R[0]));
    else
      throw new Error(
        "Cannot close `" + y.type + "` (" + Se({
          start: y.start,
          end: y.end
        }) + "): it’s not open"
      );
    return I.position.end = fe(y.end), I;
  }
  function g() {
    return ar(this.stack.pop());
  }
  function h() {
    u("expectingFirstListItemValue", !0);
  }
  function b(y) {
    if (l("expectingFirstListItemValue")) {
      const w = this.stack[this.stack.length - 2];
      w.start = Number.parseInt(this.sliceSerialize(y), 10), u("expectingFirstListItemValue");
    }
  }
  function x() {
    const y = this.resume(), w = this.stack[this.stack.length - 1];
    w.lang = y;
  }
  function E() {
    const y = this.resume(), w = this.stack[this.stack.length - 1];
    w.meta = y;
  }
  function k() {
    l("flowCodeInside") || (this.buffer(), u("flowCodeInside", !0));
  }
  function O() {
    const y = this.resume(), w = this.stack[this.stack.length - 1];
    w.value = y.replace(/^(\r?\n|\r)|(\r?\n|\r)$/g, ""), u("flowCodeInside");
  }
  function S() {
    const y = this.resume(), w = this.stack[this.stack.length - 1];
    w.value = y.replace(/(\r?\n|\r)$/g, "");
  }
  function D(y) {
    const w = this.resume(), I = this.stack[this.stack.length - 1];
    I.label = w, I.identifier = xe(
      this.sliceSerialize(y)
    ).toLowerCase();
  }
  function L() {
    const y = this.resume(), w = this.stack[this.stack.length - 1];
    w.title = y;
  }
  function d() {
    const y = this.resume(), w = this.stack[this.stack.length - 1];
    w.url = y;
  }
  function F(y) {
    const w = this.stack[this.stack.length - 1];
    if (!w.depth) {
      const I = this.sliceSerialize(y).length;
      w.depth = I;
    }
  }
  function P() {
    u("setextHeadingSlurpLineEnding", !0);
  }
  function _(y) {
    const w = this.stack[this.stack.length - 1];
    w.depth = this.sliceSerialize(y).charCodeAt(0) === 61 ? 1 : 2;
  }
  function U() {
    u("setextHeadingSlurpLineEnding");
  }
  function C(y) {
    const w = this.stack[this.stack.length - 1];
    let I = w.children[w.children.length - 1];
    (!I || I.type !== "text") && (I = On(), I.position = {
      start: fe(y.start)
    }, w.children.push(I)), this.stack.push(I);
  }
  function A(y) {
    const w = this.stack.pop();
    w.value += this.sliceSerialize(y), w.position.end = fe(y.end);
  }
  function H(y) {
    const w = this.stack[this.stack.length - 1];
    if (l("atHardBreak")) {
      const I = w.children[w.children.length - 1];
      I.position.end = fe(y.end), u("atHardBreak");
      return;
    }
    !l("setextHeadingSlurpLineEnding") && t.canContainEols.includes(w.type) && (C.call(this, y), A.call(this, y));
  }
  function q() {
    u("atHardBreak", !0);
  }
  function B() {
    const y = this.resume(), w = this.stack[this.stack.length - 1];
    w.value = y;
  }
  function Q() {
    const y = this.resume(), w = this.stack[this.stack.length - 1];
    w.value = y;
  }
  function $() {
    const y = this.resume(), w = this.stack[this.stack.length - 1];
    w.value = y;
  }
  function Z() {
    const y = this.stack[this.stack.length - 1];
    if (l("inReference")) {
      const w = l("referenceType") || "shortcut";
      y.type += "Reference", y.referenceType = w, delete y.url, delete y.title;
    } else
      delete y.identifier, delete y.label;
    u("referenceType");
  }
  function ue() {
    const y = this.stack[this.stack.length - 1];
    if (l("inReference")) {
      const w = l("referenceType") || "shortcut";
      y.type += "Reference", y.referenceType = w, delete y.url, delete y.title;
    } else
      delete y.identifier, delete y.label;
    u("referenceType");
  }
  function f(y) {
    const w = this.sliceSerialize(y), I = this.stack[this.stack.length - 2];
    I.label = lu(w), I.identifier = xe(w).toLowerCase();
  }
  function K() {
    const y = this.stack[this.stack.length - 1], w = this.resume(), I = this.stack[this.stack.length - 1];
    if (u("inReference", !0), I.type === "link") {
      const R = y.children;
      I.children = R;
    } else
      I.alt = w;
  }
  function le() {
    const y = this.resume(), w = this.stack[this.stack.length - 1];
    w.url = y;
  }
  function p() {
    const y = this.resume(), w = this.stack[this.stack.length - 1];
    w.title = y;
  }
  function ee() {
    u("inReference");
  }
  function me() {
    u("referenceType", "collapsed");
  }
  function v(y) {
    const w = this.resume(), I = this.stack[this.stack.length - 1];
    I.label = w, I.identifier = xe(
      this.sliceSerialize(y)
    ).toLowerCase(), u("referenceType", "full");
  }
  function ge(y) {
    u("characterReferenceType", y.type);
  }
  function se(y) {
    const w = this.sliceSerialize(y), I = l("characterReferenceType");
    let R;
    I ? (R = hn(
      w,
      I === "characterReferenceMarkerNumeric" ? 10 : 16
    ), u("characterReferenceType")) : R = Ke(w);
    const j = this.stack.pop();
    j.value += R, j.position.end = fe(y.end);
  }
  function de(y) {
    A.call(this, y);
    const w = this.stack[this.stack.length - 1];
    w.url = this.sliceSerialize(y);
  }
  function ye(y) {
    A.call(this, y);
    const w = this.stack[this.stack.length - 1];
    w.url = "mailto:" + this.sliceSerialize(y);
  }
  function De() {
    return {
      type: "blockquote",
      children: []
    };
  }
  function it() {
    return {
      type: "code",
      lang: null,
      meta: null,
      value: ""
    };
  }
  function Sn() {
    return {
      type: "inlineCode",
      value: ""
    };
  }
  function Cn() {
    return {
      type: "definition",
      identifier: "",
      label: null,
      title: null,
      url: ""
    };
  }
  function An() {
    return {
      type: "emphasis",
      children: []
    };
  }
  function ut() {
    return {
      type: "heading",
      depth: void 0,
      children: []
    };
  }
  function lt() {
    return {
      type: "break"
    };
  }
  function at() {
    return {
      type: "html",
      value: ""
    };
  }
  function Fn() {
    return {
      type: "image",
      title: null,
      url: "",
      alt: null
    };
  }
  function ot() {
    return {
      type: "link",
      title: null,
      url: "",
      children: []
    };
  }
  function st(y) {
    return {
      type: "list",
      ordered: y.type === "listOrdered",
      start: null,
      spread: y._spread,
      children: []
    };
  }
  function In(y) {
    return {
      type: "listItem",
      spread: y._spread,
      checked: null,
      children: []
    };
  }
  function Tn() {
    return {
      type: "paragraph",
      children: []
    };
  }
  function zn() {
    return {
      type: "strong",
      children: []
    };
  }
  function On() {
    return {
      type: "text",
      value: ""
    };
  }
  function Pn() {
    return {
      type: "thematicBreak"
    };
  }
}
function fe(e) {
  return {
    line: e.line,
    column: e.column,
    offset: e.offset
  };
}
function gn(e, t) {
  let n = -1;
  for (; ++n < t.length; ) {
    const r = t[n];
    Array.isArray(r) ? gn(e, r) : cu(e, r);
  }
}
function cu(e, t) {
  let n;
  for (n in t)
    if (mn.call(t, n)) {
      if (n === "canContainEols") {
        const r = t[n];
        r && e[n].push(...r);
      } else if (n === "transforms") {
        const r = t[n];
        r && e[n].push(...r);
      } else if (n === "enter" || n === "exit") {
        const r = t[n];
        r && Object.assign(e[n], r);
      }
    }
}
function jt(e, t) {
  throw e ? new Error(
    "Cannot close `" + e.type + "` (" + Se({
      start: e.start,
      end: e.end
    }) + "): a different token (`" + t.type + "`, " + Se({
      start: t.start,
      end: t.end
    }) + ") is open"
  ) : new Error(
    "Cannot close document, a token (`" + t.type + "`, " + Se({
      start: t.start,
      end: t.end
    }) + ") is still open"
  );
}
function fu(e) {
  Object.assign(this, { Parser: (n) => {
    const r = (
      /** @type {Options} */
      this.data("settings")
    );
    return ou(
      n,
      Object.assign({}, r, e, {
        // Note: these options are not in the readme.
        // The goal is for them to be set by plugins on `data` instead of being
        // passed by users.
        extensions: this.data("micromarkExtensions") || [],
        mdastExtensions: this.data("fromMarkdownExtensions") || []
      })
    );
  } });
}
function pu(e, t) {
  const n = {
    type: "element",
    tagName: "blockquote",
    properties: {},
    children: e.wrap(e.all(t), !0)
  };
  return e.patch(t, n), e.applyData(t, n);
}
function hu(e, t) {
  const n = { type: "element", tagName: "br", properties: {}, children: [] };
  return e.patch(t, n), [e.applyData(t, n), { type: "text", value: `
` }];
}
function mu(e, t) {
  const n = t.value ? t.value + `
` : "", r = t.lang ? t.lang.match(/^[^ \t]+(?=[ \t]|$)/) : null, i = {};
  r && (i.className = ["language-" + r]);
  let u = {
    type: "element",
    tagName: "code",
    properties: i,
    children: [{ type: "text", value: n }]
  };
  return t.meta && (u.data = { meta: t.meta }), e.patch(t, u), u = e.applyData(t, u), u = { type: "element", tagName: "pre", properties: {}, children: [u] }, e.patch(t, u), u;
}
function gu(e, t) {
  const n = {
    type: "element",
    tagName: "del",
    properties: {},
    children: e.all(t)
  };
  return e.patch(t, n), e.applyData(t, n);
}
function du(e, t) {
  const n = {
    type: "element",
    tagName: "em",
    properties: {},
    children: e.all(t)
  };
  return e.patch(t, n), e.applyData(t, n);
}
function ke(e) {
  const t = [];
  let n = -1, r = 0, i = 0;
  for (; ++n < e.length; ) {
    const u = e.charCodeAt(n);
    let l = "";
    if (u === 37 && X(e.charCodeAt(n + 1)) && X(e.charCodeAt(n + 2)))
      i = 2;
    else if (u < 128)
      /[!#$&-;=?-Z_a-z~]/.test(String.fromCharCode(u)) || (l = String.fromCharCode(u));
    else if (u > 55295 && u < 57344) {
      const a = e.charCodeAt(n + 1);
      u < 56320 && a > 56319 && a < 57344 ? (l = String.fromCharCode(u, a), i = 1) : l = "�";
    } else
      l = String.fromCharCode(u);
    l && (t.push(e.slice(r, n), encodeURIComponent(l)), r = n + i + 1, l = ""), i && (n += i, i = 0);
  }
  return t.join("") + e.slice(r);
}
function dn(e, t) {
  const n = String(t.identifier).toUpperCase(), r = ke(n.toLowerCase()), i = e.footnoteOrder.indexOf(n);
  let u;
  i === -1 ? (e.footnoteOrder.push(n), e.footnoteCounts[n] = 1, u = e.footnoteOrder.length) : (e.footnoteCounts[n]++, u = i + 1);
  const l = e.footnoteCounts[n], a = {
    type: "element",
    tagName: "a",
    properties: {
      href: "#" + e.clobberPrefix + "fn-" + r,
      id: e.clobberPrefix + "fnref-" + r + (l > 1 ? "-" + l : ""),
      dataFootnoteRef: !0,
      ariaDescribedBy: ["footnote-label"]
    },
    children: [{ type: "text", value: String(u) }]
  };
  e.patch(t, a);
  const o = {
    type: "element",
    tagName: "sup",
    properties: {},
    children: [a]
  };
  return e.patch(t, o), e.applyData(t, o);
}
function yu(e, t) {
  const n = e.footnoteById;
  let r = 1;
  for (; r in n; )
    r++;
  const i = String(r);
  return n[i] = {
    type: "footnoteDefinition",
    identifier: i,
    children: [{ type: "paragraph", children: t.children }],
    position: t.position
  }, dn(e, {
    type: "footnoteReference",
    identifier: i,
    position: t.position
  });
}
function xu(e, t) {
  const n = {
    type: "element",
    tagName: "h" + t.depth,
    properties: {},
    children: e.all(t)
  };
  return e.patch(t, n), e.applyData(t, n);
}
function ku(e, t) {
  if (e.dangerous) {
    const n = { type: "raw", value: t.value };
    return e.patch(t, n), e.applyData(t, n);
  }
  return null;
}
function yn(e, t) {
  const n = t.referenceType;
  let r = "]";
  if (n === "collapsed" ? r += "[]" : n === "full" && (r += "[" + (t.label || t.identifier) + "]"), t.type === "imageReference")
    return { type: "text", value: "![" + t.alt + r };
  const i = e.all(t), u = i[0];
  u && u.type === "text" ? u.value = "[" + u.value : i.unshift({ type: "text", value: "[" });
  const l = i[i.length - 1];
  return l && l.type === "text" ? l.value += r : i.push({ type: "text", value: r }), i;
}
function wu(e, t) {
  const n = e.definition(t.identifier);
  if (!n)
    return yn(e, t);
  const r = { src: ke(n.url || ""), alt: t.alt };
  n.title !== null && n.title !== void 0 && (r.title = n.title);
  const i = { type: "element", tagName: "img", properties: r, children: [] };
  return e.patch(t, i), e.applyData(t, i);
}
function bu(e, t) {
  const n = { src: ke(t.url) };
  t.alt !== null && t.alt !== void 0 && (n.alt = t.alt), t.title !== null && t.title !== void 0 && (n.title = t.title);
  const r = { type: "element", tagName: "img", properties: n, children: [] };
  return e.patch(t, r), e.applyData(t, r);
}
function Eu(e, t) {
  const n = { type: "text", value: t.value.replace(/\r?\n|\r/g, " ") };
  e.patch(t, n);
  const r = {
    type: "element",
    tagName: "code",
    properties: {},
    children: [n]
  };
  return e.patch(t, r), e.applyData(t, r);
}
function Su(e, t) {
  const n = e.definition(t.identifier);
  if (!n)
    return yn(e, t);
  const r = { href: ke(n.url || "") };
  n.title !== null && n.title !== void 0 && (r.title = n.title);
  const i = {
    type: "element",
    tagName: "a",
    properties: r,
    children: e.all(t)
  };
  return e.patch(t, i), e.applyData(t, i);
}
function Cu(e, t) {
  const n = { href: ke(t.url) };
  t.title !== null && t.title !== void 0 && (n.title = t.title);
  const r = {
    type: "element",
    tagName: "a",
    properties: n,
    children: e.all(t)
  };
  return e.patch(t, r), e.applyData(t, r);
}
function Au(e, t, n) {
  const r = e.all(t), i = n ? Fu(n) : xn(t), u = {}, l = [];
  if (typeof t.checked == "boolean") {
    const c = r[0];
    let m;
    c && c.type === "element" && c.tagName === "p" ? m = c : (m = { type: "element", tagName: "p", properties: {}, children: [] }, r.unshift(m)), m.children.length > 0 && m.children.unshift({ type: "text", value: " " }), m.children.unshift({
      type: "element",
      tagName: "input",
      properties: { type: "checkbox", checked: t.checked, disabled: !0 },
      children: []
    }), u.className = ["task-list-item"];
  }
  let a = -1;
  for (; ++a < r.length; ) {
    const c = r[a];
    (i || a !== 0 || c.type !== "element" || c.tagName !== "p") && l.push({ type: "text", value: `
` }), c.type === "element" && c.tagName === "p" && !i ? l.push(...c.children) : l.push(c);
  }
  const o = r[r.length - 1];
  o && (i || o.type !== "element" || o.tagName !== "p") && l.push({ type: "text", value: `
` });
  const s = { type: "element", tagName: "li", properties: u, children: l };
  return e.patch(t, s), e.applyData(t, s);
}
function Fu(e) {
  let t = !1;
  if (e.type === "list") {
    t = e.spread || !1;
    const n = e.children;
    let r = -1;
    for (; !t && ++r < n.length; )
      t = xn(n[r]);
  }
  return t;
}
function xn(e) {
  const t = e.spread;
  return t ?? e.children.length > 1;
}
function Iu(e, t) {
  const n = {}, r = e.all(t);
  let i = -1;
  for (typeof t.start == "number" && t.start !== 1 && (n.start = t.start); ++i < r.length; ) {
    const l = r[i];
    if (l.type === "element" && l.tagName === "li" && l.properties && Array.isArray(l.properties.className) && l.properties.className.includes("task-list-item")) {
      n.className = ["contains-task-list"];
      break;
    }
  }
  const u = {
    type: "element",
    tagName: t.ordered ? "ol" : "ul",
    properties: n,
    children: e.wrap(r, !0)
  };
  return e.patch(t, u), e.applyData(t, u);
}
function Tu(e, t) {
  const n = {
    type: "element",
    tagName: "p",
    properties: {},
    children: e.all(t)
  };
  return e.patch(t, n), e.applyData(t, n);
}
function zu(e, t) {
  const n = { type: "root", children: e.wrap(e.all(t)) };
  return e.patch(t, n), e.applyData(t, n);
}
function Ou(e, t) {
  const n = {
    type: "element",
    tagName: "strong",
    properties: {},
    children: e.all(t)
  };
  return e.patch(t, n), e.applyData(t, n);
}
function Pu(e, t) {
  const n = e.all(t), r = n.shift(), i = [];
  if (r) {
    const l = {
      type: "element",
      tagName: "thead",
      properties: {},
      children: e.wrap([r], !0)
    };
    e.patch(t.children[0], l), i.push(l);
  }
  if (n.length > 0) {
    const l = {
      type: "element",
      tagName: "tbody",
      properties: {},
      children: e.wrap(n, !0)
    }, a = Xt(t.children[1]), o = Yt(t.children[t.children.length - 1]);
    a.line && o.line && (l.position = { start: a, end: o }), i.push(l);
  }
  const u = {
    type: "element",
    tagName: "table",
    properties: {},
    children: e.wrap(i, !0)
  };
  return e.patch(t, u), e.applyData(t, u);
}
function Du(e, t, n) {
  const r = n ? n.children : void 0, u = (r ? r.indexOf(t) : 1) === 0 ? "th" : "td", l = n && n.type === "table" ? n.align : void 0, a = l ? l.length : t.children.length;
  let o = -1;
  const s = [];
  for (; ++o < a; ) {
    const m = t.children[o], g = {}, h = l ? l[o] : void 0;
    h && (g.align = h);
    let b = { type: "element", tagName: u, properties: g, children: [] };
    m && (b.children = e.all(m), e.patch(m, b), b = e.applyData(t, b)), s.push(b);
  }
  const c = {
    type: "element",
    tagName: "tr",
    properties: {},
    children: e.wrap(s, !0)
  };
  return e.patch(t, c), e.applyData(t, c);
}
function Lu(e, t) {
  const n = {
    type: "element",
    tagName: "td",
    // Assume body cell.
    properties: {},
    children: e.all(t)
  };
  return e.patch(t, n), e.applyData(t, n);
}
const Mt = 9, Ht = 32;
function Bu(e) {
  const t = String(e), n = /\r?\n|\r/g;
  let r = n.exec(t), i = 0;
  const u = [];
  for (; r; )
    u.push(
      qt(t.slice(i, r.index), i > 0, !0),
      r[0]
    ), i = r.index + r[0].length, r = n.exec(t);
  return u.push(qt(t.slice(i), i > 0, !1)), u.join("");
}
function qt(e, t, n) {
  let r = 0, i = e.length;
  if (t) {
    let u = e.codePointAt(r);
    for (; u === Mt || u === Ht; )
      r++, u = e.codePointAt(r);
  }
  if (n) {
    let u = e.codePointAt(i - 1);
    for (; u === Mt || u === Ht; )
      i--, u = e.codePointAt(i - 1);
  }
  return i > r ? e.slice(r, i) : "";
}
function Nu(e, t) {
  const n = { type: "text", value: Bu(String(t.value)) };
  return e.patch(t, n), e.applyData(t, n);
}
function _u(e, t) {
  const n = {
    type: "element",
    tagName: "hr",
    properties: {},
    children: []
  };
  return e.patch(t, n), e.applyData(t, n);
}
const Ru = {
  blockquote: pu,
  break: hu,
  code: mu,
  delete: gu,
  emphasis: du,
  footnoteReference: dn,
  footnote: yu,
  heading: xu,
  html: ku,
  imageReference: wu,
  image: bu,
  inlineCode: Eu,
  linkReference: Su,
  link: Cu,
  listItem: Au,
  list: Iu,
  paragraph: Tu,
  root: zu,
  strong: Ou,
  table: Pu,
  tableCell: Lu,
  tableRow: Du,
  text: Nu,
  thematicBreak: _u,
  toml: Fe,
  yaml: Fe,
  definition: Fe,
  footnoteDefinition: Fe
};
function Fe() {
  return null;
}
function ju(e) {
  return !e || !e.position || !e.position.start || !e.position.start.line || !e.position.start.column || !e.position.end || !e.position.end.line || !e.position.end.column;
}
const Vt = {}.hasOwnProperty;
function Mu(e) {
  const t = /* @__PURE__ */ Object.create(null);
  if (!e || !e.type)
    throw new Error("mdast-util-definitions expected node");
  return Ze(e, "definition", (r) => {
    const i = Ut(r.identifier);
    i && !Vt.call(t, i) && (t[i] = r);
  }), n;
  function n(r) {
    const i = Ut(r);
    return i && Vt.call(t, i) ? t[i] : null;
  }
}
function Ut(e) {
  return String(e || "").toUpperCase();
}
const Oe = {}.hasOwnProperty;
function Hu(e, t) {
  const n = t || {}, r = n.allowDangerousHtml || !1, i = {};
  return l.dangerous = r, l.clobberPrefix = n.clobberPrefix === void 0 || n.clobberPrefix === null ? "user-content-" : n.clobberPrefix, l.footnoteLabel = n.footnoteLabel || "Footnotes", l.footnoteLabelTagName = n.footnoteLabelTagName || "h2", l.footnoteLabelProperties = n.footnoteLabelProperties || {
    className: ["sr-only"]
  }, l.footnoteBackLabel = n.footnoteBackLabel || "Back to content", l.unknownHandler = n.unknownHandler, l.passThrough = n.passThrough, l.handlers = { ...Ru, ...n.handlers }, l.definition = Mu(e), l.footnoteById = i, l.footnoteOrder = [], l.footnoteCounts = {}, l.patch = qu, l.applyData = Vu, l.one = a, l.all = o, l.wrap = $u, l.augment = u, Ze(e, "footnoteDefinition", (s) => {
    const c = String(s.identifier).toUpperCase();
    Oe.call(i, c) || (i[c] = s);
  }), l;
  function u(s, c) {
    if (s && "data" in s && s.data) {
      const m = s.data;
      m.hName && (c.type !== "element" && (c = {
        type: "element",
        tagName: "",
        properties: {},
        children: []
      }), c.tagName = m.hName), c.type === "element" && m.hProperties && (c.properties = { ...c.properties, ...m.hProperties }), "children" in c && c.children && m.hChildren && (c.children = m.hChildren);
    }
    if (s) {
      const m = "type" in s ? s : { position: s };
      ju(m) || (c.position = { start: Xt(m), end: Yt(m) });
    }
    return c;
  }
  function l(s, c, m, g) {
    return Array.isArray(m) && (g = m, m = {}), u(s, {
      type: "element",
      tagName: c,
      properties: m || {},
      children: g || []
    });
  }
  function a(s, c) {
    return kn(l, s, c);
  }
  function o(s) {
    return nt(l, s);
  }
}
function qu(e, t) {
  e.position && (t.position = Dn(e));
}
function Vu(e, t) {
  let n = t;
  if (e && e.data) {
    const r = e.data.hName, i = e.data.hChildren, u = e.data.hProperties;
    typeof r == "string" && (n.type === "element" ? n.tagName = r : n = {
      type: "element",
      tagName: r,
      properties: {},
      children: []
    }), n.type === "element" && u && (n.properties = { ...n.properties, ...u }), "children" in n && n.children && i !== null && i !== void 0 && (n.children = i);
  }
  return n;
}
function kn(e, t, n) {
  const r = t && t.type;
  if (!r)
    throw new Error("Expected node, got `" + t + "`");
  return Oe.call(e.handlers, r) ? e.handlers[r](e, t, n) : e.passThrough && e.passThrough.includes(r) ? "children" in t ? { ...t, children: nt(e, t) } : t : e.unknownHandler ? e.unknownHandler(e, t, n) : Uu(e, t);
}
function nt(e, t) {
  const n = [];
  if ("children" in t) {
    const r = t.children;
    let i = -1;
    for (; ++i < r.length; ) {
      const u = kn(e, r[i], t);
      if (u) {
        if (i && r[i - 1].type === "break" && (!Array.isArray(u) && u.type === "text" && (u.value = u.value.replace(/^\s+/, "")), !Array.isArray(u) && u.type === "element")) {
          const l = u.children[0];
          l && l.type === "text" && (l.value = l.value.replace(/^\s+/, ""));
        }
        Array.isArray(u) ? n.push(...u) : n.push(u);
      }
    }
  }
  return n;
}
function Uu(e, t) {
  const n = t.data || {}, r = "value" in t && !(Oe.call(n, "hProperties") || Oe.call(n, "hChildren")) ? { type: "text", value: t.value } : {
    type: "element",
    tagName: "div",
    properties: {},
    children: nt(e, t)
  };
  return e.patch(t, r), e.applyData(t, r);
}
function $u(e, t) {
  const n = [];
  let r = -1;
  for (t && n.push({ type: "text", value: `
` }); ++r < e.length; )
    r && n.push({ type: "text", value: `
` }), n.push(e[r]);
  return t && e.length > 0 && n.push({ type: "text", value: `
` }), n;
}
function vu(e) {
  const t = [];
  let n = -1;
  for (; ++n < e.footnoteOrder.length; ) {
    const r = e.footnoteById[e.footnoteOrder[n]];
    if (!r)
      continue;
    const i = e.all(r), u = String(r.identifier).toUpperCase(), l = ke(u.toLowerCase());
    let a = 0;
    const o = [];
    for (; ++a <= e.footnoteCounts[u]; ) {
      const m = {
        type: "element",
        tagName: "a",
        properties: {
          href: "#" + e.clobberPrefix + "fnref-" + l + (a > 1 ? "-" + a : ""),
          dataFootnoteBackref: !0,
          className: ["data-footnote-backref"],
          ariaLabel: e.footnoteBackLabel
        },
        children: [{ type: "text", value: "↩" }]
      };
      a > 1 && m.children.push({
        type: "element",
        tagName: "sup",
        children: [{ type: "text", value: String(a) }]
      }), o.length > 0 && o.push({ type: "text", value: " " }), o.push(m);
    }
    const s = i[i.length - 1];
    if (s && s.type === "element" && s.tagName === "p") {
      const m = s.children[s.children.length - 1];
      m && m.type === "text" ? m.value += " " : s.children.push({ type: "text", value: " " }), s.children.push(...o);
    } else
      i.push(...o);
    const c = {
      type: "element",
      tagName: "li",
      properties: { id: e.clobberPrefix + "fn-" + l },
      children: e.wrap(i, !0)
    };
    e.patch(r, c), t.push(c);
  }
  if (t.length !== 0)
    return {
      type: "element",
      tagName: "section",
      properties: { dataFootnotes: !0, className: ["footnotes"] },
      children: [
        {
          type: "element",
          tagName: e.footnoteLabelTagName,
          properties: {
            // To do: use structured clone.
            ...JSON.parse(JSON.stringify(e.footnoteLabelProperties)),
            id: "footnote-label"
          },
          children: [{ type: "text", value: e.footnoteLabel }]
        },
        { type: "text", value: `
` },
        {
          type: "element",
          tagName: "ol",
          properties: {},
          children: e.wrap(t, !0)
        },
        { type: "text", value: `
` }
      ]
    };
}
function wn(e, t) {
  const n = Hu(e, t), r = n.one(e, null), i = vu(n);
  return i && r.children.push({ type: "text", value: `
` }, i), Array.isArray(r) ? { type: "root", children: r } : r;
}
const Qu = (
  /** @type {(import('unified').Plugin<[Processor, Options?]|[null|undefined, Options?]|[Options]|[], MdastRoot>)} */
  function(e, t) {
    return e && "run" in e ? Gu(e, t) : Xu(e || t);
  }
), Wu = Qu;
function Gu(e, t) {
  return (n, r, i) => {
    e.run(wn(n, t), r, (u) => {
      i(u);
    });
  };
}
function Xu(e) {
  return (t) => wn(t, e);
}
function Yu(e) {
  if (e.allowedElements && e.disallowedElements)
    throw new TypeError(
      "Only one of `allowedElements` and `disallowedElements` should be defined"
    );
  if (e.allowedElements || e.disallowedElements || e.allowElement)
    return (t) => {
      Ze(t, "element", (n, r, i) => {
        const u = (
          /** @type {Element|Root} */
          i
        );
        let l;
        if (e.allowedElements ? l = !e.allowedElements.includes(n.tagName) : e.disallowedElements && (l = e.disallowedElements.includes(n.tagName)), !l && e.allowElement && typeof r == "number" && (l = !e.allowElement(n, r, u)), l && typeof r == "number")
          return e.unwrapDisallowed && n.children ? u.children.splice(r, 1, ...n.children) : u.children.splice(r, 1), r;
      });
    };
}
function Ju(e) {
  const t = (
    // @ts-expect-error looks like a node.
    e && typeof e == "object" && e.type === "text" ? (
      // @ts-expect-error looks like a text.
      e.value || ""
    ) : e
  );
  return typeof t == "string" && t.replace(/[ \t\n\f\r]/g, "") === "";
}
var rt = { exports: {} }, $t = /\/\*[^*]*\*+([^/*][^*]*\*+)*\//g, Zu = /\n/g, Ku = /^\s*/, el = /^(\*?[-#/*\\\w]+(\[[0-9a-z_-]+\])?)\s*/, tl = /^:\s*/, nl = /^((?:'(?:\\'|.)*?'|"(?:\\"|.)*?"|\([^)]*?\)|[^};])+)/, rl = /^[;\s]*/, il = /^\s+|\s+$/g, ul = `
`, vt = "/", Qt = "*", he = "", ll = "comment", al = "declaration", ol = function(e, t) {
  if (typeof e != "string")
    throw new TypeError("First argument must be a string");
  if (!e)
    return [];
  t = t || {};
  var n = 1, r = 1;
  function i(b) {
    var x = b.match(Zu);
    x && (n += x.length);
    var E = b.lastIndexOf(ul);
    r = ~E ? b.length - E : r + b.length;
  }
  function u() {
    var b = { line: n, column: r };
    return function(x) {
      return x.position = new l(b), s(), x;
    };
  }
  function l(b) {
    this.start = b, this.end = { line: n, column: r }, this.source = t.source;
  }
  l.prototype.content = e;
  function a(b) {
    var x = new Error(
      t.source + ":" + n + ":" + r + ": " + b
    );
    if (x.reason = b, x.filename = t.source, x.line = n, x.column = r, x.source = e, !t.silent)
      throw x;
  }
  function o(b) {
    var x = b.exec(e);
    if (x) {
      var E = x[0];
      return i(E), e = e.slice(E.length), x;
    }
  }
  function s() {
    o(Ku);
  }
  function c(b) {
    var x;
    for (b = b || []; x = m(); )
      x !== !1 && b.push(x);
    return b;
  }
  function m() {
    var b = u();
    if (!(vt != e.charAt(0) || Qt != e.charAt(1))) {
      for (var x = 2; he != e.charAt(x) && (Qt != e.charAt(x) || vt != e.charAt(x + 1)); )
        ++x;
      if (x += 2, he === e.charAt(x - 1))
        return a("End of comment missing");
      var E = e.slice(2, x - 2);
      return r += 2, i(E), e = e.slice(x), r += 2, b({
        type: ll,
        comment: E
      });
    }
  }
  function g() {
    var b = u(), x = o(el);
    if (x) {
      if (m(), !o(tl))
        return a("property missing ':'");
      var E = o(nl), k = b({
        type: al,
        property: Wt(x[0].replace($t, he)),
        value: E ? Wt(E[0].replace($t, he)) : he
      });
      return o(rl), k;
    }
  }
  function h() {
    var b = [];
    c(b);
    for (var x; x = g(); )
      x !== !1 && (b.push(x), c(b));
    return b;
  }
  return s(), h();
};
function Wt(e) {
  return e ? e.replace(il, he) : he;
}
var sl = ol;
function bn(e, t) {
  var n = null;
  if (!e || typeof e != "string")
    return n;
  for (var r, i = sl(e), u = typeof t == "function", l, a, o = 0, s = i.length; o < s; o++)
    r = i[o], l = r.property, a = r.value, u ? t(l, a, r) : a && (n || (n = {}), n[l] = a);
  return n;
}
rt.exports = bn;
rt.exports.default = bn;
var cl = rt.exports;
const fl = /* @__PURE__ */ Je(cl), Ye = {}.hasOwnProperty, pl = /* @__PURE__ */ new Set(["table", "thead", "tbody", "tfoot", "tr"]);
function En(e, t) {
  const n = [];
  let r = -1, i;
  for (; ++r < t.children.length; )
    i = t.children[r], i.type === "element" ? n.push(hl(e, i, r, t)) : i.type === "text" ? (t.type !== "element" || !pl.has(t.tagName) || !Ju(i)) && n.push(i.value) : i.type === "raw" && !e.options.skipHtml && n.push(i.value);
  return n;
}
function hl(e, t, n, r) {
  const i = e.options, u = i.transformLinkUri === void 0 ? Hn : i.transformLinkUri, l = e.schema, a = t.tagName, o = {};
  let s = l, c;
  if (l.space === "html" && a === "svg" && (s = Rn, e.schema = s), t.properties)
    for (c in t.properties)
      Ye.call(t.properties, c) && gl(o, c, t.properties[c], e);
  (a === "ol" || a === "ul") && e.listDepth++;
  const m = En(e, t);
  (a === "ol" || a === "ul") && e.listDepth--, e.schema = l;
  const g = t.position || {
    start: {
      line: null,
      column: null,
      offset: null
    },
    end: {
      line: null,
      column: null,
      offset: null
    }
  }, h = i.components && Ye.call(i.components, a) ? i.components[a] : a, b = typeof h == "string" || h === Be.Fragment;
  if (!Ln.isValidElementType(h))
    throw new TypeError(`Component for name \`${a}\` not defined or is not renderable`);
  if (o.key = n, a === "a" && i.linkTarget && (o.target = typeof i.linkTarget == "function" ? i.linkTarget(String(o.href || ""), t.children, typeof o.title == "string" ? o.title : null) : i.linkTarget), a === "a" && u && (o.href = u(String(o.href || ""), t.children, typeof o.title == "string" ? o.title : null)), !b && a === "code" && r.type === "element" && r.tagName !== "pre" && (o.inline = !0), !b && (a === "h1" || a === "h2" || a === "h3" || a === "h4" || a === "h5" || a === "h6") && (o.level = Number.parseInt(a.charAt(1), 10)), a === "img" && i.transformImageUri && (o.src = i.transformImageUri(String(o.src || ""), String(o.alt || ""), typeof o.title == "string" ? o.title : null)), !b && a === "li" && r.type === "element") {
    const x = ml(t);
    o.checked = x && x.properties ? !!x.properties.checked : null, o.index = Ue(r, t), o.ordered = r.tagName === "ol";
  }
  return !b && (a === "ol" || a === "ul") && (o.ordered = a === "ol", o.depth = e.listDepth), (a === "td" || a === "th") && (o.align && (o.style || (o.style = {}), o.style.textAlign = o.align, delete o.align), b || (o.isHeader = a === "th")), !b && a === "tr" && r.type === "element" && (o.isHeader = r.tagName === "thead"), i.sourcePos && (o["data-sourcepos"] = xl(g)), !b && i.rawSourcePos && (o.sourcePosition = t.position), !b && i.includeElementIndex && (o.index = Ue(r, t), o.siblingCount = Ue(r)), b || (o.node = t), m.length > 0 ? Be.createElement(h, o, m) : Be.createElement(h, o);
}
function ml(e) {
  let t = -1;
  for (; ++t < e.children.length; ) {
    const n = e.children[t];
    if (n.type === "element" && n.tagName === "input")
      return n;
  }
  return null;
}
function Ue(e, t) {
  let n = -1, r = 0;
  for (; ++n < e.children.length && e.children[n] !== t; )
    e.children[n].type === "element" && r++;
  return r;
}
function gl(e, t, n, r) {
  const i = Bn(r.schema, t);
  let u = n;
  u == null || u !== u || (Array.isArray(u) && (u = i.commaSeparated ? Nn(u) : _n(u)), i.property === "style" && typeof u == "string" && (u = dl(u)), i.space && i.property ? e[Ye.call(ft, i.property) ? ft[i.property] : i.property] = u : i.attribute && (e[i.attribute] = u));
}
function dl(e) {
  const t = {};
  try {
    fl(e, n);
  } catch {
  }
  return t;
  function n(r, i) {
    const u = r.slice(0, 4) === "-ms-" ? `ms-${r.slice(4)}` : r;
    t[u.replace(/-([a-z])/g, yl)] = i;
  }
}
function yl(e, t) {
  return t.toUpperCase();
}
function xl(e) {
  return [e.start.line, ":", e.start.column, "-", e.end.line, ":", e.end.column].map(String).join("");
}
const Gt = {}.hasOwnProperty, kl = "https://github.com/remarkjs/react-markdown/blob/main/changelog.md", Ie = {
  plugins: {
    to: "remarkPlugins",
    id: "change-plugins-to-remarkplugins"
  },
  renderers: {
    to: "components",
    id: "change-renderers-to-components"
  },
  astPlugins: {
    id: "remove-buggy-html-in-markdown-parser"
  },
  allowDangerousHtml: {
    id: "remove-buggy-html-in-markdown-parser"
  },
  escapeHtml: {
    id: "remove-buggy-html-in-markdown-parser"
  },
  source: {
    to: "children",
    id: "change-source-to-children"
  },
  allowNode: {
    to: "allowElement",
    id: "replace-allownode-allowedtypes-and-disallowedtypes"
  },
  allowedTypes: {
    to: "allowedElements",
    id: "replace-allownode-allowedtypes-and-disallowedtypes"
  },
  disallowedTypes: {
    to: "disallowedElements",
    id: "replace-allownode-allowedtypes-and-disallowedtypes"
  },
  includeNodeIndex: {
    to: "includeElementIndex",
    id: "change-includenodeindex-to-includeelementindex"
  }
};
function wl(e) {
  for (const u in Ie)
    if (Gt.call(Ie, u) && Gt.call(e, u)) {
      const l = Ie[u];
      console.warn(`[react-markdown] Warning: please ${l.to ? `use \`${l.to}\` instead of` : "remove"} \`${u}\` (see <${kl}#${l.id}> for more info)`), delete Ie[u];
    }
  const t = nr().use(fu).use(e.remarkPlugins || []).use(Wu, {
    ...e.remarkRehypeOptions,
    allowDangerousHtml: !0
  }).use(e.rehypePlugins || []).use(Yu, e), n = new Zt();
  typeof e.children == "string" ? n.value = e.children : e.children !== void 0 && e.children !== null && console.warn(`[react-markdown] Warning: please pass a string as \`children\` (not: \`${e.children}\`)`);
  const r = t.runSync(t.parse(n), n);
  if (r.type !== "root")
    throw new TypeError("Expected a `root` node");
  let i = /* @__PURE__ */ ct(jn, {
    children: En({
      options: e,
      schema: Mn,
      listDepth: 0
    }, r)
  });
  return e.className && (i = /* @__PURE__ */ ct("div", {
    className: e.className,
    children: i
  })), i;
}
wl.propTypes = {
  // Core options:
  children: z.string,
  // Layout options:
  className: z.string,
  // Filter options:
  allowElement: z.func,
  allowedElements: z.arrayOf(z.string),
  disallowedElements: z.arrayOf(z.string),
  unwrapDisallowed: z.bool,
  // Plugin options:
  remarkPlugins: z.arrayOf(z.oneOfType([z.object, z.func, z.arrayOf(z.oneOfType([z.bool, z.string, z.object, z.func, z.arrayOf(
    // prettier-ignore
    // type-coverage:ignore-next-line
    z.any
  )]))])),
  rehypePlugins: z.arrayOf(z.oneOfType([z.object, z.func, z.arrayOf(z.oneOfType([z.bool, z.string, z.object, z.func, z.arrayOf(
    // prettier-ignore
    // type-coverage:ignore-next-line
    z.any
  )]))])),
  // Transform options:
  sourcePos: z.bool,
  rawSourcePos: z.bool,
  skipHtml: z.bool,
  includeElementIndex: z.bool,
  transformLinkUri: z.oneOfType([z.func, z.bool]),
  linkTarget: z.oneOfType([z.func, z.string]),
  transformImageUri: z.func,
  components: z.object
};
export {
  wl as default,
  Hn as uriTransformer
};
