import { X as d, af as P, dh as v, a6 as h, F as t, di as l, dk as u, dj as z, dt as H, dy as W, av as S, aw as R, ax as p, ds as m } from "./fa268dc5.js";
import { useContext as F } from "react";
import "react-dom";
const G = (o) => S`
    border-radius: ${o.radius ? o.radius : "4px"};
    border: ${o.borderWidth ? o.borderWidth : "0px"} ${o.borderStyle ? o.borderStyle : "solid"} ${o.border};
    color: ${o.text};
    font-size: ${o.textSize} !important;
    font-weight: ${o.textWeight} !important;
    font-family: ${o.fontFamily} !important;
    font-style:${o.fontStyle} !important;
    text-transform:${o.textTransform} !important;
    text-decoration:${o.textDecoration} !important;
    background-color: ${o.background};
    .markdown-body a {
      color: ${o.links};
    }
    .markdown-body {
      margin: ${o.margin} !important;	
      padding: ${o.padding};	
      width: ${R(o.margin)};	
      // height: ${p(o.margin)};
      h1 {
        line-height: 1.5;
      }
      h5 {
        line-height: 2.2;
      }
    }

    .markdown-body {
      &,
      p,
      div,
      h1,
      h2,
      h3,
      h4,
      h5,
      h6 {
        color: ${o.text};
      }
      img,
      pre {
        background-color: ${o.background};
        code {
          color: #000000;
        }
      }
    }
  `, O = d.div`
${(o) => o.$animationStyle && o.$animationStyle}
  display: flex;
  flex-flow: column;
  height: 100%;
  overflow-y: scroll;
  border: ${(o) => o.$style.borderWidth} ${(o) => o.$style.borderStyle ? o.$style.borderStyle : "solid"} ${(o) => o.$style.border};
  border-radius: ${(o) => o.$style.radius};
  background-color: ${(o) => o.$style.background};
  padding: ${(o) => o.$style.padding};
  margin: ${(o) => o.$style.margin};
  ${(o) => o.$style.backgroundImage && `background-image: url(${o.$style.backgroundImage});`}
  ${(o) => o.$style.backgroundImageRepeat && `background-repeat: ${o.$style.backgroundImageRepeat};`}
  ${(o) => o.$style.backgroundImageSize && `background-size: ${o.$style.backgroundImageSize};`}
  ${(o) => o.$style.backgroundImagePosition && `background-position: ${o.$style.backgroundImagePosition};`}
  ${(o) => o.$style.backgroundImageOrigin && `background-origin: ${o.$style.backgroundImageOrigin};`}
`, T = d.div`
  ${(o) => o.$style && G(o.$style)}
  text-align: ${(o) => o.$horizontalAlignment};
  padding: ${(o) => o.$style.padding};
  margin: ${(o) => o.$style.margin};
`, A = d(m)`
  overflow: visible;
  ${(o) => o.$backgroundColor && `background-color: ${o.$backgroundColor};`}
  border-radius: 0;
`, j = d(m)`
  border-top: ${(o) => `${o.$showBorder ? o.$borderWidth : 0} solid ${o.$borderColor}`};
  flex: 1;
  ${(o) => o.$backgroundColor && `background-color: ${o.$backgroundColor};`}
  border-radius: 0;
`, D = d(m)`
  border-top: ${(o) => `${o.$showBorder ? o.$borderWidth : 0} solid ${o.$borderColor}`};
  overflow: visible;
  ${(o) => o.$backgroundColor && `background-color: ${o.$backgroundColor};`}
  border-radius: 0;
  ${(o) => o.$footerBackgroundImage && `background-image: url(${o.$footerBackgroundImage});`}
  ${(o) => o.$footerBackgroundImageRepeat && `background-repeat: ${o.$footerBackgroundImageRepeat};`}
  ${(o) => o.$footerBackgroundImageSize && `background-size: ${o.$footerBackgroundImageSize};`}
  ${(o) => o.$footerBackgroundImagePosition && `background-position: ${o.$footerBackgroundImagePosition};`}
  ${(o) => o.$footerBackgroundImageOrigin && `background-origin: ${o.$footerBackgroundImageOrigin};`}
`;
function X(o) {
  const {
    container: e,
    text: b,
    animationStyle: s
  } = o, {
    showHeader: n,
    showFooter: g,
    horizontalGridCells: $
  } = e, k = e.showBody || !n && !g, {
    items: I,
    ...f
  } = e.header, {
    items: B,
    ...w
  } = e.body[0].children.view.getView(), {
    items: x,
    ...y
  } = e.footer, C = F(P).getAppSettings().maxWidth;
  v(C);
  const {
    style: a,
    headerStyle: i,
    bodyStyle: c,
    footerStyle: r
  } = e;
  return /* @__PURE__ */ h(O, {
    $style: a,
    $animationStyle: s,
    children: [n && /* @__PURE__ */ t(l.Provider, {
      value: e.style.background,
      children: /* @__PURE__ */ t(A, {
        ...f,
        horizontalGridCells: $,
        items: u(I),
        autoHeight: !0,
        emptyRows: 5,
        minHeight: "46px",
        containerPadding: [0, 0],
        showName: {
          bottom: g ? 20 : 0
        },
        $backgroundColor: (i == null ? void 0 : i.headerBackground) || "transparent",
        style: {
          padding: i.containerHeaderPadding
        }
      })
    }), k && /* @__PURE__ */ t(l.Provider, {
      value: e.style.background,
      children: /* @__PURE__ */ t(z, {
        style: {
          height: e.autoHeight ? "auto" : "100%",
          margin: "0px",
          padding: "0px"
        },
        hideScrollbar: !e.showVerticalScrollbar,
        children: /* @__PURE__ */ h("div", {
          style: {
            background: `${e.style.background}`
          },
          children: [/* @__PURE__ */ t(j, {
            $showBorder: !1,
            ...w,
            horizontalGridCells: $,
            items: u(B),
            autoHeight: e.autoHeight,
            emptyRows: 14,
            minHeight: n ? "143px" : "142px",
            containerPadding: [0, 0],
            hintPlaceholder: o.hintPlaceholder ?? H,
            $backgroundColor: (c == null ? void 0 : c.background) || "transparent",
            $borderColor: a == null ? void 0 : a.border,
            $borderWidth: a == null ? void 0 : a.borderWidth,
            style: {
              float: `${o.float}`,
              width: `${o.float === "none" ? "100%" : `${o.width}%`}`,
              height: "100%",
              ...e.bodyStyle
            }
          }), /* @__PURE__ */ t(T, {
            $style: o.style,
            $horizontalAlignment: o.horizontalAlignment,
            children: /* @__PURE__ */ t("p", {
              children: o.type === "markdown" ? /* @__PURE__ */ t(W, {
                children: b.value
              }) : b.value
            })
          })]
        })
      })
    }), g && /* @__PURE__ */ t(l.Provider, {
      value: e.style.background,
      children: /* @__PURE__ */ t(D, {
        $showBorder: n,
        ...y,
        horizontalGridCells: $,
        items: u(x),
        autoHeight: !0,
        emptyRows: 5,
        minHeight: "48px",
        containerPadding: [0, 0],
        showName: {
          top: n ? 20 : 0
        },
        $backgroundColor: (r == null ? void 0 : r.footerBackground) || "transparent",
        $footerBackgroundImage: r == null ? void 0 : r.footerBackgroundImage,
        $footerBackgroundImageRepeat: r == null ? void 0 : r.footerBackgroundImageRepeat,
        $footerBackgroundImageSize: r == null ? void 0 : r.footerBackgroundImageSize,
        $footerBackgroundImagePosition: r == null ? void 0 : r.footerBackgroundImagePosition,
        $footerBackgroundImageOrigin: r == null ? void 0 : r.footerBackgroundImageOrigin,
        $borderColor: a == null ? void 0 : a.border,
        $borderWidth: a == null ? void 0 : a.borderWidth,
        style: {
          padding: r.containerFooterPadding
        }
      })
    })]
  });
}
export {
  X as TriContainer
};
